{ Este componente foi desenvolvido por Adenilton Rodrigues e e' colocado
  a disposio como Freeware.
  Ele permite executar melodias no estilo play do Basic usando o pc-speaker.

  Alguns mtodos executam melodias ja preparadas. Essas canoes foram
  convertidas do Alarme do Telemate e do Remote Access Songs.

  A rotina basica de Play foi adaptada de uma antiga rotina pascal.

  Qualquer sugestao sera bem vinda.

  O Autor pode ser contatado em :  aden@bhnet.com.br

  Este componente funciona tambem em Delphi 1.0, porem o arquivo DCR dever
  ser re-criado ou deletado.

  Se voc quiser obter maiores detalhes sobre a composicao musica do metodo
  Play, consulte algum livro de basic e olhe sua sintaxe. E' 100% compati-
  vel.

  Se voce nao tiver livros de basic, execute o QBASIC que acompanha o DOS
  6.X e no help procure o comando PLAY.
}

unit TSong;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TPlaySpeaker = class(TComponent)
  private
    { Private declarations }
    fStop    : Boolean;
    fActive  : Boolean;
    fSong    : String;
    fvq      : LongInt;
    fTmpPitch: LongInt;
    fBaseOctave: Integer;
    fOctave:      Integer;
    fGenNoteType: Integer;
    fTempo:       Integer;
    fPlayFrac:    Byte;
    fRepeat  :    Byte;
    Procedure SetActive(value:Boolean);
    Function  GetActive:Boolean;
  protected
    { Protected declarations }
  public

    Constructor Create(AOwner:TComponent); override;
    Destructor  Destroy; Override;
    procedure   Delay(MSecs: Integer);           { para o processamento }
    function    GetPort(address: Word): Word;    { Le a porta de som }
    procedure   NoSound;                         { Para um som em execucao }
    procedure   Sound(Freq: Word);               { Produz um som continuo }
    procedure   SetPort(address, value: Word);   { Grava na porta de som }
    procedure   PlaySound(Freq: Word; MSecs: Integer); {Executa um som a partir de sua frequencia e duracao }
    Procedure   Play(TuneString:string);               { Similar ao Play do Basic }
    Procedure   PlaySong;                         { Executa a notas digitadas na propriedade Song }
    Procedure   StopSound;                        { Para qualquer musica em execucao }

    Procedure PlaySong10;                         { Cancoes pre-definidas }
    Procedure PlaySong11;
    Procedure PlaySong12;
    Procedure PlaySong13;
    Procedure PlaySong14;
    Procedure PlaySong15;
    Procedure PlaySong16;
    Procedure PlaySong17;
    Procedure PlaySong18;
    Procedure PlaySong19;
    Procedure PlaySong1;
    Procedure PlaySong20;
    Procedure PlaySong21;
    Procedure PlaySong22;
    Procedure PlaySong23;
    Procedure PlaySong24;
    Procedure PlaySong25;
    Procedure PlaySong26;
    Procedure PlaySong27;
    Procedure PlaySong28;
    Procedure PlaySong29;
    Procedure PlaySong2;
    Procedure PlaySong30;
    Procedure PlaySong31;
    Procedure PlaySong32;
    Procedure PlaySong33;
    Procedure PlaySong34;
    Procedure PlaySong35;
    Procedure PlaySong36;
    Procedure PlaySong37;
    Procedure PlaySong38;
    Procedure PlaySong39;
    Procedure PlaySong3;
    Procedure PlaySong40;
    Procedure PlaySong41;
    Procedure PlaySong4;
    Procedure PlaySong5;
    Procedure PlaySong6;
    Procedure PlaySong7;
    Procedure PlaySong8;
    Procedure PlaySong9;
    Procedure PlaySong42;
    Procedure PlaySong43;
    Procedure PlaySong44;
    Procedure PlaySong45;
    Procedure PlaySong46;
    Procedure PlaySong47;
    Procedure PlaySong48;
    Procedure PlaySong49;
    Procedure PlaySong50;
    Procedure PlaySong51;
    Procedure PlaySong52;
    Procedure PlaySong53;
    Procedure PlaySong54;
    Procedure PlaySong55;
    Procedure PlaySong56;
    Procedure PlaySong57;
    Procedure PlaySong58;
    Procedure PlaySong59;
    Procedure PlaySong60;
    Procedure PlaySong61;

    Procedure ExecuteSong(Number:Integer); { Executa uma cancao pelo seu numero }
    Procedure InitializeSong;              { Inicializa o alto falante }


  published
    property Octave    : Integer read fOctave Write fOctave default 3;
    property NoteType  : Integer read fGenNoteType Write fGenNoteType Default 4;
    property Compass   : Integer read fTempo write fTempo Default 120;
    property PlayFrac  : Byte read fPlayFrac Write fPlayFrac Default 7;
    property BaseOctave: Integer read fBaseOctave write fBaseOctave default 0;
    Property Song      : String  read fSong Write fSong;
    Property RepeatTime: Byte read fRepeat write fRepeat default 1;
    property Active    : Boolean read GetActive write SetActive;
  end;

procedure Register;

implementation
Const SharpOffset = 60;

Const PitchArray: Array[1..120] of Word = (
  28, 31, 33, 37, 41, 44, 49, 55, 62, 65,
  73, 82, 87, 98, 110, 123, 131, 147, 165, 175,
  196, 220, 247, 262, 294, 330, 349, 392, 440, 494,
  523, 587, 659, 698, 784, 880, 988, 1047, 1175, 1319,
  1397, 1568, 1760, 1976, 2093, 2349, 2637, 2794, 3136, 3520,
  3951, 4186, 4699, 5274, 5588, 6272, 32139, 9738, 1934, 39659,
  29, 33, 35, 39, 44, 46, 52, 58, 65, 69,
  78, 87, 92, 104, 117, 131, 139, 156, 175, 185,
  208, 233, 262, 277, 311, 349, 370, 415, 466, 523,
  554, 622, 698, 740, 831, 932, 1047, 1109, 1245, 1397,
  1480, 1661, 1865, 2093, 2217, 2489, 2794, 2960, 3322, 3729,
  4186, 4435, 4978, 5588, 5920, 6645, 35669, 33772, 1772, 18119);

Constructor TPlaySpeaker.Create(AOwner:TComponent);
Begin
   Inherited Create(AOwner);
   fBaseOctave   := 0;
   fOctave       := 3;    {Teceira Oitava - Inicia com meio C}
   fGenNoteType  := 4;    {Quartas da nota}
   fTempo        := 120;  {120 batidas por minuto}
   fPlayFrac     := 7;    {Normal - nota dura 7/8 do tempo}
   fSong         := '';
   fRepeat       := 1;
   fActive       := False;
   fStop         := false;
End;

Destructor TPlaySpeaker.Destroy;
Begin
   Inherited Destroy;
End;

procedure TPlaySpeaker.PlaySong;
Begin
   If fSong<>'' Then Play(fSong);
End;

procedure TPlaySpeaker.StopSound;
Begin
   fStop := True;
   Nosound;
End;

procedure TPlaySpeaker.InitializeSong;
Begin
   fStop := False;
End;

Procedure TPlaySpeaker.SetActive(value:Boolean);
Begin
  if fActive<>Value Then fActive := Value;
End;

Function  TPlaySpeaker.GetActive:Boolean;
Begin
   If fActive=True Then Begin
      PlaySong;
   End;
   Result := fActive;
End;


procedure TPlaySpeaker.SetPort(address, value: Word);
var bValue: Byte;
begin
   Application.ProcessMessages;
   bValue := trunc(value and 255);
   asm
     mov DX, address
     mov AL, bValue
     out DX, AL
   end;
end;

function TPlaySpeaker.GetPort(address: Word): Word;
var bValue: Byte;
begin
   if fStop Then Exit;
   Application.ProcessMessages;
   asm
     mov DX, address
     in  AL, DX
     mov bValue, AL
   end;
   result := bValue;
end;

procedure TPlaySpeaker.NoSound;
var wValue: Word;
begin
   wValue := GetPort($61);
   wValue := wValue and $FC;
   SetPort($61, wValue);
end;

procedure TPlaySpeaker.Sound(Freq: Word);
var B: Word;
begin
   if fStop Then Exit;
   if Freq > 18 then begin
      Freq := Word(1193181 div LongInt(Freq));
      B := GetPort($61);
      if (B and 3) = 0 then begin
         SetPort($61, B or 3);
         SetPort($43, $B6);
      end;
      SetPort($42, Freq);
      SetPort($42, (Freq SHR 8));
   end;
end;

procedure TPlaySpeaker.Delay(MSecs: Integer);
var FirstTickCount : LongInt;
begin
   if fStop Then Exit;
   FirstTickCount:=GetTickCount;
   repeat
      Application.ProcessMessages;
   until ((GetTickCount-FirstTickCount) >= LongInt(MSecs));
end;

Procedure TPlaySpeaker.PlaySound(Freq: Word; MSecs: Integer);
Begin
   if fStop Then Exit;
   Application.ProcessMessages;
   Sound(Freq);
   Delay(MSecs);
   NoSound;
End;

Procedure TPlaySpeaker.Play(TuneString:string);
Var PlayTime: LongInt;
    IdleTime: LongInt;
    DotTime: LongInt;
    NoteTime  : LongInt;
    NoteType: Integer;
    PitchIndex: Integer;
    Position: Integer;
    Number : Integer;
    Code: Integer;
    TuneStrLen: Integer;
    Character: Char;
    PlayDone: Boolean;
    x       : Byte;

Procedure NVal(Pos:integer; var v, code: integer);
Var Posn:integer;
Begin
   If fStop Then Exit;
   v := 0;
   posn := Pos;
   while (posn <= TuneStrLen) and (TuneString[posn] in ['0'..'9']) do Begin
     if fStop Then Break;
     Application.ProcessMessages;
       v := v*10 + ord(TuneString[posn]) - ord ('0');
       Inc(posn);
   End;
   code := posn - Pos + 1;
End;

Procedure CheckDots; {Existe ponto apos a nota?}
Begin
   If fStop Then Exit;
   While (Position <= TuneStrLen) and (TuneString[Position] = '.') do Begin
      if fStop Then Break;
      Application.ProcessMessages;
      DotTime := DotTime + DotTime div 2;
      inc(Position)
   End;
End;

Begin
  InitializeSong;
  If TuneString = '' Then Exit;
  For x := 1 to fRepeat do Begin
     if fStop Then Break;
     PlayDone := False;
     TuneStrLen := length(TuneString);
     Position := 1;
     Repeat
       If fStop Then Break;
       Application.ProcessMessages;
       NoteType := fGenNoteType;
       DotTime := 1000;
       Character := upcase(TuneString[Position]);
       Case Character Of
         'A'..'G' : Begin
                    PitchIndex := (ord(Character)-64)+fOctave*7;
                    If (Character='A') or (Character='B') Then PitchIndex := PitchIndex + 7;
                    inc(Position);
                    {Bemol ou sustenido?}
                    if Position <= TuneStrLen then
                      case TuneString[Position] of
                        '#','+': begin
                                 PitchIndex := PitchIndex+SharpOffset;
                                 inc(Position);
                                 end;
                        '-': begin
                             PitchIndex := PitchIndex+SharpOffset - 1;
                             inc(Position);
                             end;
                        End;
                    if (Position <= TuneStrLen) and (TuneString[Position] in ['0'..'9']) then begin
                      NVal(Position,NoteType,Code);
                      inc(Position, Code - 1)
                    end;
                    CheckDots;
                    {Toca a nota}
                    NoteTime := Round(DotTime/fTempo/NoteType*240);
                    PlayTime := Round(NoteTime*fPlayFrac/8);
                    IdleTime := NoteTime-PlayTime;
                    Sound(PitchArray[PitchIndex]);
                    Delay(PlayTime);
                    if IdleTime <> 0 then begin
                       NoSound;
                       Delay(IdleTime)
                    end;
                 End;
         'L' : {Duracao 1 - 64 }
               Begin
                  NVal (Position+1,fGenNoteType,Code);
                  if (fGenNoteType < 1) or (fGenNoteType > 64) then fGenNoteType := 4;
                  inc(Position, Code);
               End;
         'M' : {"S" staccato,"L" legato,"N" normal.}
               Begin
               if Position < TuneStrLen then begin
                  Case upcase(TuneString[Position+1]) Of
                   'S' : fPlayFrac := 6;
                   'N' : fPlayFrac := 7;
                   'L' : fPlayFrac := 8;
                  End;
                  inc(Position, 2);
               end;
               End;
         'O' : Begin
               NVal (Position+1,fOctave,Code);
               fOctave := fOctave+fBaseOctave;
               if fOctave > 7 then fOctave := 3;
               inc(Position, Code);
               End;
         'P' : Begin
               NoSound;
               NVal (Position+1,NoteType,Code);
               if (NoteType < 1) or (NoteType > 64) then NoteType := fGenNoteType;
               inc(Position, Code);
               CheckDots;
               IdleTime := DotTime Div fTempo * (240 Div NoteType);
               Delay (IdleTime);
               End;
         'T' :  {Tempo - number de batidas por minuto (32 - 255)}
               Begin
               NVal (Position+1,fTempo,Code);
               if (fTempo < 32) or (fTempo > 255) then fTempo := 120;
               inc(Position, Code);
               End;
         Else
           inc(Position);   {Ignora caracteres espurios}
         End;
     Until ((Position > TuneStrLen) Or (PlayDone));
     NoSound;
  End;
End;

{ Page sound data-file for RemoteAccess}
Procedure TPlaySpeaker.PlaySong1;
Begin
   PlaySound(284,200);
   PlaySound(568,200);
   PlaySound(426,200);
   PlaySound(379,200);
   PlaySound(758,200);
   PlaySound(426,200);
   PlaySound(716,200);
   PlaySound(426,200);
   PlaySound(284,200); 
   PlaySound(568,200);
   PlaySound(426,200); 
   PlaySound(379,200); 
   PlaySound(758,200); 
   PlaySound(426,200); 
   PlaySound(716,200); 
   PlaySound(426,200); 
   PlaySound(319,200); 
   PlaySound(568,200);
   PlaySound(426,200); 
   PlaySound(379,200); 
   PlaySound(758,200); 
   PlaySound(426,200); 
   PlaySound(716,200); 
   PlaySound(426,200); 
   PlaySound(319,200);
   PlaySound(568,200); 
   PlaySound(426,200); 
   PlaySound(379,200); 
   PlaySound(758,200); 
   PlaySound(426,200); 
   PlaySound(716,200); 
   PlaySound(426,200); 
   PlaySound(379,200); 
   PlaySound(568,200); 
   PlaySound(426,200); 
   PlaySound(379,200); 
   PlaySound(758,200);
   PlaySound(426,200);
   PlaySound(716,200);
   PlaySound(426,200);
   PlaySound(379,200);
   PlaySound(568,200);
   PlaySound(426,200);
   PlaySound(379,200);
   PlaySound(758,200);
   PlaySound(426,200);
   PlaySound(716,200);
   PlaySound(426,200);
End;

{ Title: America (I wanna be in) -=- From WestSide Story}
Procedure TPlaySpeaker.PlaySong2;
Begin
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(956,130);
   PlaySound(956,130);
   PlaySound(956,130);
   PlaySound(804,260);
   PlaySound(638,260);
   PlaySound(478,260);
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(956,130);
   PlaySound(956,130);
   PlaySound(956,130);
   PlaySound(1071,260);
   PlaySound(902,260);
   PlaySound(716,260);
   PlaySound(851,130);
   PlaySound(851,130);
   PlaySound(851,130);
   PlaySound(1136,130);
   PlaySound(1136,130);
   PlaySound(1136,130);
   PlaySound(1071,260);
   PlaySound(851,260);
   PlaySound(638,260);
   PlaySound(568,130);
   PlaySound(568,130);
   PlaySound(568,130);
   PlaySound(758,130);
   PlaySound(758,130);
   PlaySound(758,130);
   PlaySound(716,260);
   PlaySound(1204,260);
   PlaySound(478,260);
   Delay(260);
   PlaySound(602,130);
   PlaySound(804,130);
   PlaySound(716,130);
   PlaySound(602,130);
   PlaySound(804,130);
   PlaySound(716,130);
   PlaySound(602,260);
   PlaySound(478,260);
   Delay(260);
   PlaySound(602,130);
   PlaySound(804,130);
   PlaySound(716,130);
   PlaySound(602,130);
   PlaySound(804,130);
   PlaySound(716,130);
   PlaySound(902,260);
   PlaySound(804,260);
   Delay(260);
   PlaySound(804,130);
   PlaySound(1071,130);
   PlaySound(956,130);
   PlaySound(804,130);
   PlaySound(1071,130);
   PlaySound(956,130);
   PlaySound(804,260);
   PlaySound(638,260);
   Delay(260);
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(638,130);
   PlaySound(534,130);
   PlaySound(602,260);
   PlaySound(478,260);
   Delay(260);
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(956,130);
   PlaySound(956,130);
   PlaySound(956,130);
   PlaySound(804,260);
   PlaySound(638,260);
   PlaySound(478,260);
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(956,130);
   PlaySound(956,130);
   PlaySound(956,130);
   PlaySound(1071,260);
   PlaySound(902,260);
   PlaySound(716,260);
   PlaySound(851,130);
   PlaySound(851,130);
   PlaySound(851,130);
   PlaySound(1136,130);
   PlaySound(1136,130);
   PlaySound(1136,130);
   PlaySound(1071,260);
   PlaySound(851,260);
   PlaySound(638,260);
   PlaySound(568,130);
   PlaySound(568,130);
   PlaySound(568,130);
   PlaySound(758,130);
   PlaySound(758,130);
   PlaySound(758,130);
   PlaySound(716,260);
   PlaySound(1204,260);
   PlaySound(478,260);
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(956,130);
   PlaySound(956,130);
   PlaySound(956,130);
   PlaySound(804,260);
   PlaySound(638,260);
   PlaySound(478,260);
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(716,130);
   PlaySound(956,130);
   PlaySound(956,130);
   PlaySound(956,130);
   PlaySound(1071,260);
   PlaySound(902,260);
   PlaySound(716,260);
   PlaySound(851,130);
   PlaySound(851,130);
   PlaySound(851,130);
   PlaySound(1136,130);
   PlaySound(1136,130);
   PlaySound(1136,130);
   PlaySound(1071,260);
   PlaySound(851,260);
   PlaySound(638,260);
   PlaySound(568,130);
   PlaySound(568,130);
   PlaySound(568,130);
   PlaySound(758,130);
   PlaySound(758,130);
   PlaySound(758,130);
   PlaySound(716,260);
   PlaySound(1204,260);
   PlaySound(478,260);
   Delay(260);
End;

{ "AXEL F." (by Uncle Harold F :-)}
Procedure TPlaySpeaker.PlaySong3;
Begin
   PlaySound(676,460);
   PlaySound(804,340);
   PlaySound(676,230);
   PlaySound(676,110);
   PlaySound(902,230);
   PlaySound(676,230);
   PlaySound(602,230);
   PlaySound(676,460);
   PlaySound(1012,340);
   PlaySound(676,230);
   PlaySound(676,110);
   PlaySound(1071,230);
   PlaySound(1012,230);
   PlaySound(804,230);
   PlaySound(676,230);
   PlaySound(1012,230);
   PlaySound(1351,230);
   PlaySound(676,110);
   PlaySound(602,230);
   PlaySound(602,110);
   PlaySound(506,230);
   PlaySound(758,230);
   PlaySound(676,460);
   Delay(460);
   PlaySound(338,110);
   PlaySound(301,230);
   PlaySound(253,230);
   PlaySound(225,230);
   PlaySound(676,460);
   PlaySound(804,340);
   PlaySound(676,230);
   PlaySound(676,110);
   PlaySound(902,230);
   PlaySound(676,230);
   PlaySound(602,230);
   PlaySound(676,460);
   PlaySound(1012,340);
   PlaySound(676,230);
   PlaySound(676,110);
   PlaySound(1071,230);
   PlaySound(1012,230);
   PlaySound(804,230);
   PlaySound(676,230);
   PlaySound(1012,230);
   PlaySound(1351,230);
   PlaySound(676,110);
   PlaySound(602,230);
   PlaySound(602,110);
   PlaySound(506,230);
   PlaySound(758,230);
   PlaySound(676,460);
   Delay(920);
   Delay(690);
   PlaySound(1012,230);
   PlaySound(1012,230);
   PlaySound(1012,110);
   PlaySound(1204,230);
   PlaySound(1204,230);
   PlaySound(1204,110);
   PlaySound(1136,230);
   PlaySound(1136,230);
   Delay(230);
   PlaySound(1012,230);
   PlaySound(1012,230);
   PlaySound(1012,110);
   PlaySound(1204,230);
   PlaySound(1204,110);
   PlaySound(1136,230);
   PlaySound(1012,460);
   Delay(230);
   PlaySound(804,230);
   PlaySound(804,230);
   PlaySound(804,230);
   PlaySound(804,230);
   PlaySound(902,110);
   PlaySound(902,230);
   PlaySound(902,230);
   PlaySound(902,110);
   PlaySound(902,230);
   PlaySound(1012,230);
   PlaySound(1012,230);
   PlaySound(1012,230);
   PlaySound(902,110);
   PlaySound(1012,230);
   PlaySound(1012,460);
   Delay(460);
   PlaySound(1012,230);
   PlaySound(1012,230);
   PlaySound(1012,110);
   PlaySound(1204,230);
   PlaySound(1204,230);
   PlaySound(1204,110);
   PlaySound(1136,230);
   PlaySound(1136,230);
   Delay(230);
   PlaySound(1012,230);
   PlaySound(1012,230);
   PlaySound(1012,110);
   PlaySound(1204,230);
   PlaySound(1204,110);
   PlaySound(1136,230);
   PlaySound(1012,460);
   Delay(230);
   PlaySound(804,230);
   PlaySound(804,230);
   PlaySound(804,230);
   PlaySound(804,230);
   PlaySound(902,110);
   PlaySound(902,230);
   PlaySound(902,230);
   PlaySound(902,110);
   PlaySound(902,230);
   PlaySound(1012,230);
   PlaySound(1012,230);
   PlaySound(1012,230);
   PlaySound(902,110);
   PlaySound(1012,230);
   PlaySound(1012,460);
   Delay(460);
   PlaySound(676,460);
   PlaySound(804,340);
   PlaySound(676,230);
   PlaySound(676,110);
   PlaySound(902,230);
   PlaySound(676,230);
   PlaySound(602,230);
   PlaySound(676,460);
   PlaySound(1012,340);
   PlaySound(676,230);
   PlaySound(676,110);
   PlaySound(1071,230);
   PlaySound(1012,230);
   PlaySound(804,230);
   PlaySound(676,230);
   PlaySound(1012,230);
   PlaySound(1351,230);
   PlaySound(676,110);
   PlaySound(602,230);
   PlaySound(602,110);
   PlaySound(506,230);
   PlaySound(758,230);
   PlaySound(676,460);
   Delay(690);
End;

{ Title: Big Spender}
Procedure TPlaySpeaker.PlaySong4;
Begin
   PlaySound(534,130);
   PlaySound(534,130);
   PlaySound(602,130);
   PlaySound(676,130);
   PlaySound(716,390);
   PlaySound(851,260);
   PlaySound(804,130);
   PlaySound(851,130);
   Delay(260);
   PlaySound(134,390);
   PlaySound(179,130);
   Delay(260);
   PlaySound(851,260);
   PlaySound(804,130);
   PlaySound(851,260);
   PlaySound(804,130);
   PlaySound(716,260);
   PlaySound(638,130);
   PlaySound(568,390);
   PlaySound(716,390);
   PlaySound(851,390);
   PlaySound(956,190);
   PlaySound(851,190);
   PlaySound(1012,390);
   PlaySound(1012,390);
   PlaySound(956,260);
   PlaySound(851,390);
   Delay(130);
   PlaySound(134,260);
   Delay(130);
   PlaySound(1071,390);
   PlaySound(1071,390);
   PlaySound(956,390);
   PlaySound(851,260);
   PlaySound(804,130);
   PlaySound(758,260);
   PlaySound(716,390);
   Delay(260);
   PlaySound(851,130);
   PlaySound(956,260);
   PlaySound(851,130);
   PlaySound(956,260);
   PlaySound(851,130);
   PlaySound(956,260);
   PlaySound(851,130);
   PlaySound(956,260);
   PlaySound(851,130);
   PlaySound(1012,390);
   PlaySound(1012,260);
   PlaySound(1071,130);
   Delay(260);
   PlaySound(534,130);
   PlaySound(534,130);
   PlaySound(602,130);
   PlaySound(676,130);
   PlaySound(716,390);
   PlaySound(851,260);
   PlaySound(804,130);
   PlaySound(851,130);
   Delay(260);
   PlaySound(134,390);
   PlaySound(179,130);
   Delay(260);
   PlaySound(851,260);
   PlaySound(804,130);
   PlaySound(851,260);
   PlaySound(804,130);
   PlaySound(716,260);
   PlaySound(638,130);
   PlaySound(568,390);
   PlaySound(716,390);
   PlaySound(851,390);
   PlaySound(956,190);
   PlaySound(851,190);
   PlaySound(1012,390);
   PlaySound(1012,390);
   PlaySound(956,260);
   PlaySound(851,390);
   Delay(130);
   PlaySound(1071,390);
   PlaySound(1432,390);
   PlaySound(1071,260);
   PlaySound(1432,260);
   Delay(260);
   PlaySound(268,390);
   PlaySound(358,390);
   PlaySound(268,260);
   PlaySound(358,260);
   Delay(260);
   PlaySound(1012,780);
   PlaySound(142,780);
   PlaySound(134,130);
   Delay(130);
   PlaySound(956,130);
   PlaySound(851,260);
   PlaySound(716,130);
   PlaySound(956,260);
   PlaySound(851,130);
   PlaySound(716,260);
   PlaySound(638,130);
   PlaySound(716,260);
   Delay(130);
   PlaySound(179,260);
   PlaySound(179,130);
   PlaySound(179,390);
   PlaySound(159,260);
   PlaySound(179,130);
End;

{ Title: Still Got The Blues (Gary Moore)}
Procedure TPlaySpeaker.PlaySong5;
Begin
   PlaySound(451,140);
   PlaySound(602,140);
   PlaySound(676,140);
   PlaySound(676,30);
   PlaySound(716,110);
   PlaySound(716,290);
   PlaySound(804,290);
   PlaySound(676,290);
   PlaySound(602,870);
   Delay(290);
   PlaySound(402,140);
   PlaySound(534,140);
   PlaySound(602,140);
   PlaySound(602,30);
   PlaySound(676,110);
   PlaySound(676,290);
   PlaySound(676,70);
   PlaySound(602,70);
   PlaySound(534,70);
   PlaySound(602,290);
   PlaySound(534,580);
   Delay(290);
   PlaySound(451,140);
   PlaySound(506,140);
   PlaySound(534,140);
   PlaySound(534,30);
   PlaySound(602,110);
   PlaySound(602,290);
   PlaySound(534,290);
   PlaySound(506,110);
   PlaySound(451,290);
   PlaySound(402,290);
   PlaySound(451,870);
   PlaySound(506,870);
   PlaySound(534,110);
   Delay(290);
   PlaySound(451,140);
   PlaySound(602,140);
   PlaySound(676,140);
   PlaySound(676,30);
   PlaySound(716,110);
   PlaySound(716,290);
   PlaySound(804,290);
   PlaySound(676,290);
   PlaySound(602,870);
   Delay(290);
   PlaySound(402,140);
   PlaySound(534,140);
   PlaySound(602,140);
   PlaySound(602,30);
   PlaySound(676,110);
   PlaySound(676,290);
   PlaySound(676,70);
   PlaySound(602,70);
   PlaySound(534,70);
   PlaySound(602,290);
   PlaySound(534,580);
   Delay(290);
   PlaySound(451,140);
   PlaySound(506,140);
   PlaySound(534,140);
   PlaySound(534,30);
   PlaySound(602,110);
   PlaySound(602,290);
   PlaySound(534,290);
   PlaySound(506,110);
   PlaySound(451,290);
   PlaySound(402,290);
   PlaySound(451,170);
   PlaySound(451,110);
End;

{ Title: Blueberry Hill (By Fats Domino)}
Procedure TPlaySpeaker.PlaySong6;
Begin
   PlaySound(534,360);
   PlaySound(534,180);
   PlaySound(676,180);
   PlaySound(534,180);
   PlaySound(676,180);
   PlaySound(804,180);
   PlaySound(676,180);
   PlaySound(804,180);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,180);
   PlaySound(1071,360);
   PlaySound(1071,180);
   PlaySound(851,180);
   PlaySound(902,180);
   PlaySound(1071,180);
   PlaySound(716,540);
   PlaySound(902,360);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(638,360);
   PlaySound(676,180);
   PlaySound(534,540);
   Delay(270);
   PlaySound(676,180);
   PlaySound(804,360);
   PlaySound(804,180);
   PlaySound(638,180);
   PlaySound(676,180);
   PlaySound(804,180);
   PlaySound(534,540);
   Delay(90);
   PlaySound(902,360);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(676,360);
   PlaySound(638,180);
   PlaySound(602,540);
   Delay(270);
   PlaySound(506,180);
   PlaySound(602,360);
   PlaySound(602,180);
   PlaySound(478,180);
   PlaySound(506,180);
   PlaySound(602,180);
   PlaySound(402,540);
   Delay(90);
   PlaySound(902,360);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(602,360);
   PlaySound(638,180);
   PlaySound(676,540);
   Delay(180);
   PlaySound(676,180);
   PlaySound(804,360);
   PlaySound(804,180);
   PlaySound(602,360);
   PlaySound(638,180);
   PlaySound(676,540);
   Delay(90);
   PlaySound(534,360);
   PlaySound(534,180);
   PlaySound(676,180);
   PlaySound(534,180);
   PlaySound(676,180);
   PlaySound(804,180);
   PlaySound(676,180);
   PlaySound(804,180);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,40);
   PlaySound(716,40);
   PlaySound(902,180);
   PlaySound(1071,360);
   PlaySound(1071,180);
   PlaySound(851,180);
   PlaySound(902,180);
   PlaySound(1071,180);
   PlaySound(716,540);
   PlaySound(902,360);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(638,360);
   PlaySound(676,180);
   PlaySound(534,540);
   Delay(180);
   PlaySound(676,180);
   PlaySound(804,360);
   PlaySound(804,180);
   PlaySound(638,180);
   PlaySound(676,180);
   PlaySound(804,180);
   PlaySound(534,540);
   PlaySound(902,360);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(676,360);
   PlaySound(638,180);
   PlaySound(602,540);
   Delay(270);
   PlaySound(506,180);
   PlaySound(602,360);
   PlaySound(602,180);
   PlaySound(478,180);
   PlaySound(506,180);
   PlaySound(602,180);
   PlaySound(402,540);
   PlaySound(902,360);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(602,360);
   PlaySound(638,180);
   PlaySound(676,540);
   Delay(180);
   PlaySound(676,180);
   PlaySound(804,360);
   PlaySound(804,180);
   PlaySound(602,360);
   PlaySound(638,180);
   PlaySound(534,100);
End;

{ Title: The Boxer  (Simon & Garfunkle)}
Procedure TPlaySpeaker.PlaySong7;
Begin
   PlaySound(804,250);
   PlaySound(804,250);
   PlaySound(804,250);
   PlaySound(902,120);
   PlaySound(804,250);
   PlaySound(676,370);
   PlaySound(676,250);
   PlaySound(716,250);
   PlaySound(804,250);
   PlaySound(804,250);
   PlaySound(1071,250);
   PlaySound(1012,250);
   PlaySound(902,500);
   PlaySound(902,250);
   PlaySound(902,120);
   PlaySound(902,370);
   PlaySound(804,250);
   PlaySound(804,250);
   PlaySound(902,120);
   PlaySound(804,370);
   PlaySound(602,500);
   PlaySound(602,120);
   PlaySound(676,120);
   PlaySound(716,250);
   PlaySound(716,250);
   PlaySound(716,250);
   PlaySound(716,120);
   PlaySound(716,370);
   PlaySound(676,250);
   PlaySound(534,250);
   PlaySound(602,250);
   PlaySound(716,250);
   PlaySound(676,250);
   PlaySound(534,500);
   Delay(250);
   PlaySound(1071,250);
   PlaySound(1071,250);
   PlaySound(1012,120);
   PlaySound(1071,750);
   PlaySound(1071,250);
   PlaySound(1071,120);
   PlaySound(1071,370);
   PlaySound(1012,250);
   PlaySound(1012,250);
   PlaySound(1012,120);
   PlaySound(1012,370);
   PlaySound(902,250);
   PlaySound(902,250);
   PlaySound(902,250);
   PlaySound(902,250);
   PlaySound(1012,250);
   PlaySound(902,250);
   PlaySound(804,250);
   PlaySound(804,500);
   PlaySound(716,250);
   PlaySound(676,250);
   PlaySound(804,250);
   PlaySound(804,250);
   PlaySound(804,250);
   PlaySound(902,120);
   PlaySound(804,370);
   PlaySound(602,500);
   PlaySound(602,120);
   PlaySound(676,120);
   PlaySound(716,500);
   PlaySound(676,250);
   PlaySound(602,250);
   PlaySound(534,500);
   Delay(250);
   PlaySound(676,120);
   PlaySound(716,120);
   PlaySound(804,250);
   PlaySound(804,250);
   PlaySound(804,250);
   PlaySound(902,120);
   PlaySound(804,250);
   PlaySound(676,370);
   PlaySound(676,250);
   PlaySound(716,250);
   PlaySound(804,250);
   PlaySound(804,250);
   PlaySound(1071,250);
   PlaySound(1012,250);
   PlaySound(902,500);
   PlaySound(902,250);
   PlaySound(902,120);
   PlaySound(902,370);
   PlaySound(804,250);
   PlaySound(804,250);
   PlaySound(902,120);
   PlaySound(804,370);
   PlaySound(602,500);
   PlaySound(602,120);
   PlaySound(676,120);
   PlaySound(716,250);
   PlaySound(716,250);
   PlaySound(716,250);
   PlaySound(716,120);
   PlaySound(716,370);
   PlaySound(676,250);
   PlaySound(534,250);
   PlaySound(602,250);
   PlaySound(716,250);
   PlaySound(676,250);
   PlaySound(534,500);
   Delay(250);
End;

{ Title: Brasil}
Procedure TPlaySpeaker.PlaySong8;
Begin
   PlaySound(534,360);
   PlaySound(902,100);
   PlaySound(268,180);
   PlaySound(301,180);
   PlaySound(268,180);
   PlaySound(1071,180);
   PlaySound(1071,180);
   PlaySound(902,180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(804,180);
   PlaySound(716,180);
   PlaySound(804,100);
   PlaySound(268,180);
   PlaySound(301,180);
   PlaySound(268,180);
   PlaySound(1071,180);
   PlaySound(1071,180);
   PlaySound(902,180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(804,180);
   PlaySound(716,180);
   PlaySound(804,100);
   PlaySound(268,180);
   PlaySound(301,180);
   PlaySound(268,180);
   PlaySound(1071,180);
   PlaySound(1071,180);
   PlaySound(902,180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(804,180);
   PlaySound(716,180);
   PlaySound(902,100);
   PlaySound(676,360);
   PlaySound(602,100);
   PlaySound(676,360);
   PlaySound(902,180);
   Delay(180);
   PlaySound(902,360);
   PlaySound(851,360);
   PlaySound(804,360);
   PlaySound(1071,100);
   PlaySound(319,180);
   PlaySound(358,180);
   PlaySound(319,180);
   PlaySound(1071,180);
   PlaySound(1071,180);
   PlaySound(1012,180);
   PlaySound(1012,180);
   PlaySound(956,180);
   PlaySound(956,180);
   PlaySound(902,180);
   PlaySound(1071,100);
   PlaySound(319,180);
   PlaySound(358,180);
   PlaySound(319,180);
   PlaySound(1071,180);
   PlaySound(1071,180);
   PlaySound(1012,180);
   PlaySound(1012,180);
   PlaySound(956,180);
   PlaySound(956,180);
   PlaySound(902,180);
   PlaySound(956,540);
   PlaySound(284,90);
   PlaySound(301,90);
   PlaySound(319,540);
   PlaySound(301,90);
   PlaySound(319,90);
   PlaySound(338,540);
   PlaySound(358,90);
   PlaySound(338,90);
   PlaySound(319,360);
   PlaySound(301,360);
   PlaySound(956,100);
   PlaySound(301,180);
   PlaySound(319,180);
   PlaySound(301,180);
   PlaySound(956,180);
   PlaySound(956,180);
   PlaySound(902,180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(804,180);
   PlaySound(716,180);
   PlaySound(902,100);
   PlaySound(268,180);
   PlaySound(301,180);
   PlaySound(268,180);
   PlaySound(716,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(1071,180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(716,180);
   PlaySound(716,100);
   PlaySound(268,180);
   PlaySound(268,180);
   PlaySound(268,180);
   PlaySound(534,180);
   PlaySound(602,180);
   PlaySound(676,180);
   PlaySound(902,360);
   PlaySound(534,360);
   PlaySound(716,100);
   Delay(360);
End;

{ "CHANGE" -=- Tears For Fears}
Procedure TPlaySpeaker.PlaySong9;
Begin
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(956,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(534,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(1071,220);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(956,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(534,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(1071,220);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(956,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(534,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(1071,220);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(956,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(534,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(1071,220);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(956,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(534,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(1071,220);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(956,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(534,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(1071,220);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(956,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(534,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(1071,220);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(956,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(534,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(1071,220);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(956,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(716,110);
   PlaySound(602,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(534,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(1071,220);
End;

{ (Quite familiar Circus melody... or at least, I think it's familiar :-)}
Procedure TPlaySpeaker.PlaySong10;
Begin
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(902,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(902,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(902,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(1012,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(1071,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(1012,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(1012,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(1012,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(1012,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(902,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(902,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(902,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(1012,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(1071,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(1012,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(1012,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(902,90);
   PlaySound(716,90);
   PlaySound(602,90);
   PlaySound(716,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(902,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(676,90);
   PlaySound(534,90);
   PlaySound(676,90);
   PlaySound(804,90);
   PlaySound(602,90);
   PlaySound(506,90);
   PlaySound(602,90);
   PlaySound(851,90);
   PlaySound(602,90);
   PlaySound(506,90);
   PlaySound(602,90);
   PlaySound(902,90);
   PlaySound(602,90);
   PlaySound(506,90);
   PlaySound(602,90);
   PlaySound(1012,90);
   PlaySound(602,90);
   PlaySound(506,90);
   PlaySound(602,90);
   PlaySound(1071,90);
   PlaySound(804,90);
   PlaySound(716,90);
   PlaySound(804,90);
   PlaySound(902,90);
   PlaySound(804,90);
   PlaySound(716,90);
   PlaySound(804,90);
   PlaySound(534,360);
   PlaySound(1071,90);
End;

{ Title: Nothing really. Just the 5 notes from Close Encounters}
Procedure TPlaySpeaker.PlaySong11;
Begin
   PlaySound(602,200);
   PlaySound(676,200);
   PlaySound(534,190);
   PlaySound(268,190);
   PlaySound(402,180);
   PlaySound(1204,180);
   PlaySound(1351,170);
   PlaySound(1071,170);
   PlaySound(534,160);
   PlaySound(804,160);
   PlaySound(602,150);
   PlaySound(676,150);
   PlaySound(534,140);
   PlaySound(268,140);
   PlaySound(402,130);
   PlaySound(1204,130);
   PlaySound(1351,120);
   PlaySound(1071,120);
   PlaySound(534,110);
   PlaySound(804,110);
   PlaySound(602,100);
   PlaySound(676,100);
   PlaySound(534,90);
   PlaySound(268,90);
   PlaySound(402,80);
   PlaySound(1204,80);
   PlaySound(1351,80);
   PlaySound(1071,70);
   PlaySound(534,70);
   PlaySound(804,70);
   PlaySound(602,80);
   PlaySound(676,80);
   PlaySound(534,90);
   PlaySound(268,90);
   PlaySound(402,100);
   PlaySound(1204,100);
   PlaySound(1351,110);
   PlaySound(1071,110);
   PlaySound(534,120);
   PlaySound(804,120);
   PlaySound(602,130);
   PlaySound(676,130);
   PlaySound(534,140);
   PlaySound(268,140);
   PlaySound(402,150);
   PlaySound(1204,150);
   PlaySound(1351,160);
   PlaySound(1071,160);
   PlaySound(534,170);
   PlaySound(804,170);
   PlaySound(602,180);
   PlaySound(676,180);
   PlaySound(534,190);
   PlaySound(268,190);
   PlaySound(402,200);
   PlaySound(1204,200);
   PlaySound(1351,190);
   PlaySound(1071,190);
   PlaySound(534,180);
   PlaySound(804,180);
   PlaySound(602,170);
   PlaySound(676,170);
   PlaySound(534,160);
   PlaySound(268,160);
   PlaySound(402,150);
   PlaySound(1204,150);
   PlaySound(1351,140);
   PlaySound(1071,140);
   PlaySound(534,130);
   PlaySound(804,130);
   PlaySound(602,120);
   PlaySound(676,120);
   PlaySound(534,110);
   PlaySound(268,110);
   PlaySound(402,100);
   PlaySound(1204,100);
   PlaySound(1351,90);
   PlaySound(1071,90);
   PlaySound(534,80);
   PlaySound(804,80);
   PlaySound(602,90);
   PlaySound(676,90);
   PlaySound(534,100);
   PlaySound(268,100);
   PlaySound(402,110);
   PlaySound(1204,110);
   PlaySound(1351,120);
   PlaySound(1071,120);
   PlaySound(534,130);
   PlaySound(804,130);
   PlaySound(602,140);
   PlaySound(676,140);
   PlaySound(534,150);
   PlaySound(268,150);
   PlaySound(402,160);
   PlaySound(1204,160);
   PlaySound(1351,170);
   PlaySound(1071,170);
   PlaySound(534,180);
   PlaySound(804,180);
   PlaySound(602,190);
   PlaySound(676,190);
   PlaySound(534,200);
   PlaySound(268,200);
   PlaySound(402,190);
   PlaySound(1204,190);
   PlaySound(1351,180);
   PlaySound(1071,180);
   PlaySound(534,170);
   PlaySound(804,170);
   PlaySound(602,160);
   PlaySound(676,160);
   PlaySound(534,150);
   PlaySound(268,150);
   PlaySound(402,140);
   PlaySound(1204,140);
   PlaySound(1351,130);
   PlaySound(1071,130);
   PlaySound(534,120);
   PlaySound(804,120);
   PlaySound(602,110);
   PlaySound(676,110);
   PlaySound(534,100);
   PlaySound(268,100);
   PlaySound(402,90);
   PlaySound(1204,90);
   PlaySound(1351,80);
   PlaySound(1071,80);
   PlaySound(534,90);
   PlaySound(804,90);
   PlaySound(602,100);
   PlaySound(676,100);
   PlaySound(534,110);
   PlaySound(268,110);
   PlaySound(402,120);
   PlaySound(1204,120);
   PlaySound(1351,130);
   PlaySound(1071,130);
   PlaySound(534,140);
   PlaySound(804,140);
   PlaySound(602,150);
   PlaySound(676,150);
   PlaySound(534,160);
   PlaySound(268,160);
   PlaySound(402,170);
   PlaySound(1204,170);
   PlaySound(1351,180);
   PlaySound(1071,180);
   PlaySound(534,190);
   PlaySound(804,190);
   PlaySound(602,200);
   PlaySound(676,200);
   PlaySound(534,190);
   PlaySound(268,190);
   PlaySound(402,180);
   PlaySound(1204,180);
   PlaySound(1351,170);
   PlaySound(1071,170);
   PlaySound(534,160);
   PlaySound(804,160);
   PlaySound(602,150);
   PlaySound(676,150);
   PlaySound(534,140);
   PlaySound(268,140);
   PlaySound(402,130);
   PlaySound(1204,130);
   PlaySound(1351,120);
   PlaySound(1071,120);
   PlaySound(534,110);
   PlaySound(804,110);
   PlaySound(602,100);
   PlaySound(676,100);
   PlaySound(534,90);
   PlaySound(268,90);
   PlaySound(402,80);
   PlaySound(1204,80);
   PlaySound(1351,80);
   PlaySound(1071,70);
   PlaySound(534,70);
   PlaySound(804,70);
   PlaySound(602,80);
   PlaySound(676,80);
   PlaySound(534,90);
   PlaySound(268,90);
   PlaySound(402,100);
   PlaySound(1204,100);
   PlaySound(1351,110);
   PlaySound(1071,110);
   PlaySound(534,120);
   PlaySound(804,120);
   PlaySound(602,130);
   PlaySound(676,130);
   PlaySound(534,140);
   PlaySound(268,140);
   PlaySound(402,150);
   PlaySound(1204,150);
   PlaySound(1351,160);
   PlaySound(1071,160);
   PlaySound(534,170);
   PlaySound(804,170);
   PlaySound(602,180);
   PlaySound(676,180);
   PlaySound(534,190);
   PlaySound(268,190);
   PlaySound(402,200);
   PlaySound(1204,200);
   PlaySound(1351,190);
   PlaySound(1071,190);
   PlaySound(534,180);
   PlaySound(804,180);
End;

{ Title: "Thank God I'm a Country Boy"  (John Denver)}
Procedure TPlaySpeaker.PlaySong12;
Begin
   PlaySound(758,200);
   PlaySound(676,100);
   PlaySound(758,200);
   PlaySound(676,100);
   PlaySound(602,300);
   PlaySound(602,300);
   PlaySound(602,200);
   PlaySound(602,100);
   PlaySound(758,200);
   PlaySound(758,100);
   PlaySound(902,300);
   PlaySound(1012,300);
   Delay(200);
   PlaySound(1012,100);
   PlaySound(902,200);
   PlaySound(758,100);
   PlaySound(758,200);
   PlaySound(758,100);
   PlaySound(758,200);
   PlaySound(676,100);
   PlaySound(602,200);
   PlaySound(506,100);
   PlaySound(602,200);
   PlaySound(602,100);
   PlaySound(602,200);
   PlaySound(602,100);
   PlaySound(451,300);
   Delay(300);
   PlaySound(602,200);
   PlaySound(602,100);
   PlaySound(602,300);
   PlaySound(758,300);
   PlaySound(758,100);
   PlaySound(758,200);
   PlaySound(902,200);
   PlaySound(902,100);
   PlaySound(902,200);
   PlaySound(902,100);
   PlaySound(1012,300);
   Delay(450);
   PlaySound(902,300);
   PlaySound(902,300);
   PlaySound(758,200);
   PlaySound(602,100);
   PlaySound(676,200);
   PlaySound(676,100);
   PlaySound(602,300);
   Delay(300);
   PlaySound(758,200);
   PlaySound(758,100);
   PlaySound(676,300);
   PlaySound(676,300);
   PlaySound(676,300);
   PlaySound(676,200);
   PlaySound(676,100);
   PlaySound(758,200);
   PlaySound(758,100);
   PlaySound(758,300);
   PlaySound(676,150);
   PlaySound(602,200);
   Delay(200);
   PlaySound(602,100);
   PlaySound(676,300);
   PlaySound(676,300);
   PlaySound(676,300);
   PlaySound(676,200);
   PlaySound(676,100);
   PlaySound(758,200);
   PlaySound(758,100);
   PlaySound(758,300);
   PlaySound(676,150);
   PlaySound(602,200);
   Delay(200);
   PlaySound(602,300);
   PlaySound(602,300);
   PlaySound(758,200);
   PlaySound(758,100);
   PlaySound(758,200);
   PlaySound(758,100);
   PlaySound(902,200);
   PlaySound(902,100);
   PlaySound(902,200);
   PlaySound(902,100);
   PlaySound(1012,600);
   Delay(200);
   PlaySound(902,300);
   PlaySound(902,300);
   PlaySound(758,200);
   PlaySound(602,100);
   PlaySound(676,200);
   PlaySound(676,100);
   PlaySound(602,300);
   Delay(200);
   PlaySound(758,200);
   PlaySound(676,100);
   PlaySound(758,200);
   PlaySound(676,100);
   PlaySound(602,300);
   PlaySound(602,300);
   PlaySound(602,200);
   PlaySound(602,100);
   PlaySound(758,200);
   PlaySound(758,100);
   PlaySound(902,300);
   PlaySound(1012,300);
   Delay(200);
   PlaySound(1012,100);
   PlaySound(902,200);
   PlaySound(758,100);
   PlaySound(758,200);
   PlaySound(758,100);
   PlaySound(758,200);
   PlaySound(676,100);
   PlaySound(602,200);
   PlaySound(506,100);
   PlaySound(602,200);
   PlaySound(602,100);
   PlaySound(602,200);
   PlaySound(602,100);
   PlaySound(451,300);
   Delay(300);
   PlaySound(602,200);
   PlaySound(602,100);
   PlaySound(602,300);
   PlaySound(758,300);
   PlaySound(758,100);
   PlaySound(758,200);
   PlaySound(902,200);
   PlaySound(902,100);
   PlaySound(902,200);
   PlaySound(902,100);
   PlaySound(1012,600);
   Delay(450);
   PlaySound(902,300);
   PlaySound(902,300);
   PlaySound(758,200);
   PlaySound(602,100);
   PlaySound(676,200);
   PlaySound(676,100);
   PlaySound(602,300);
   Delay(300);
End;

{ Title: "Crisis" -=- By Mike Oldfield }
Procedure TPlaySpeaker.PlaySong13;
Begin
   PlaySound(758,320);
   PlaySound(758,320);
   PlaySound(676,160);
   PlaySound(758,320);
   PlaySound(676,720);
   PlaySound(851,160);
   PlaySound(758,320);
   PlaySound(676,320);
   PlaySound(676,320);
   PlaySound(676,320);
   PlaySound(638,160);
   PlaySound(676,320);
   PlaySound(638,320);
   PlaySound(676,320);
   PlaySound(758,160);
   PlaySound(676,160);
   PlaySound(676,160);
   PlaySound(638,160);
   PlaySound(676,160);
   PlaySound(638,480);
   PlaySound(568,720);
   PlaySound(676,320);
   PlaySound(758,320);
   PlaySound(851,160);
   PlaySound(758,320);
   PlaySound(676,320);
   PlaySound(676,320);
   PlaySound(676,320);
   PlaySound(638,160);
   PlaySound(676,320);
   PlaySound(638,320);
   PlaySound(676,320);
   PlaySound(758,160);
   PlaySound(676,160);
   PlaySound(676,160);
   PlaySound(638,160);
   PlaySound(676,160);
   PlaySound(758,320);
   PlaySound(506,320);
   PlaySound(568,160);
   PlaySound(638,320);
   PlaySound(758,320);
   PlaySound(506,320);
   PlaySound(568,320);
   PlaySound(638,160);
   PlaySound(758,160);
   PlaySound(568,320);
   PlaySound(638,160);
   PlaySound(676,320);
   PlaySound(758,320);
   PlaySound(851,160);
   PlaySound(758,320);
   PlaySound(676,320);
   PlaySound(758,320);
   PlaySound(506,320);
   PlaySound(568,160);
   PlaySound(638,320);
   PlaySound(758,320);
   PlaySound(506,320);
   PlaySound(568,320);
   PlaySound(638,160);
   PlaySound(758,320);
   PlaySound(851,480);
   PlaySound(758,480);
   PlaySound(676,320);
   PlaySound(758,320);
   PlaySound(902,320);
   PlaySound(851,160);
   PlaySound(676,320);
   PlaySound(758,320);
   PlaySound(902,320);
   PlaySound(851,320);
   PlaySound(758,160);
   PlaySound(851,160);
   PlaySound(902,160);
   PlaySound(1012,320);
   PlaySound(758,320);
   PlaySound(676,160);
   PlaySound(568,320);
   PlaySound(638,320);
   PlaySound(676,320);
   PlaySound(638,320);
   PlaySound(506,320);
   PlaySound(758,320);
   PlaySound(902,320);
   PlaySound(851,160);
   PlaySound(676,320);
   PlaySound(758,320);
   PlaySound(902,320);
   PlaySound(851,320);
   PlaySound(758,160);
   PlaySound(851,160);
   PlaySound(902,160);
   PlaySound(1012,320);
   PlaySound(758,320);
   PlaySound(676,160);
   PlaySound(638,160);
   PlaySound(568,160);
   PlaySound(506,160);
   PlaySound(568,160);
   PlaySound(638,160);
   PlaySound(716,160);
   PlaySound(758,160);
   PlaySound(851,320);
   PlaySound(956,160);
   PlaySound(1012,160);
   PlaySound(1136,320);
   PlaySound(1136,320);
   PlaySound(1012,160);
   PlaySound(1136,320);
   PlaySound(1012,720);
   PlaySound(1275,160);
   PlaySound(1136,320);
   PlaySound(1012,320);
   PlaySound(1012,320);
   PlaySound(1012,320);
   PlaySound(956,160);
   PlaySound(1012,320);
   PlaySound(956,320);
   PlaySound(1012,320);
   PlaySound(1136,160);
   PlaySound(1012,160);
   PlaySound(1012,160);
   PlaySound(956,160);
   PlaySound(1012,160);
   PlaySound(956,480);
   PlaySound(851,720);
End;

{ Title: Theme from DALLAS (for those who watch it regularly... In Holland}
Procedure TPlaySpeaker.PlaySong14;
Begin
   PlaySound(402,200);
   PlaySound(534,600);
   PlaySound(402,200);
   PlaySound(804,600);
   PlaySound(534,200);
   PlaySound(676,400);
   PlaySound(602,200);
   PlaySound(676,200);
   PlaySound(534,400);
   PlaySound(402,400);
   PlaySound(534,400);
   PlaySound(902,400);
   PlaySound(804,400);
   PlaySound(676,200);
   PlaySound(716,200);
   PlaySound(804,400);
   PlaySound(478,400);
   PlaySound(402,600);
   PlaySound(402,200);
   PlaySound(534,400);
   PlaySound(902,400);
   PlaySound(804,400);
   PlaySound(676,200);
   PlaySound(716,200);
   PlaySound(804,400);
   PlaySound(602,200);
   PlaySound(676,200);
   PlaySound(534,400);
   PlaySound(402,400);
   PlaySound(534,400);
   PlaySound(676,200);
   PlaySound(716,200);
   PlaySound(602,600);
   PlaySound(804,200);
   PlaySound(804,120);
   Delay(200);
   PlaySound(402,200);
   PlaySound(534,600);
   PlaySound(402,200);
   PlaySound(804,600);
   PlaySound(534,200);
   PlaySound(676,400);
   PlaySound(602,200);
   PlaySound(676,200);
   PlaySound(534,400);
   PlaySound(402,400);
   PlaySound(534,400);
   PlaySound(902,400);
   PlaySound(804,400);
   PlaySound(676,200);
   PlaySound(716,200);
   PlaySound(804,400);
   PlaySound(478,400);
   PlaySound(402,600);
   PlaySound(402,200);
   PlaySound(534,400);
   PlaySound(902,400);
   PlaySound(804,400);
   PlaySound(676,200);
   PlaySound(716,200);
   PlaySound(804,400);
   PlaySound(602,200);
   PlaySound(676,200);
   PlaySound(534,400);
   PlaySound(402,400);
   PlaySound(534,400);
   PlaySound(676,200);
   PlaySound(716,200);
   PlaySound(602,600);
   PlaySound(534,200);
   PlaySound(1071,100);
   PlaySound(1012,100);
   PlaySound(1071,100);
   Delay(200);
   PlaySound(804,100);
   PlaySound(676,100);
   PlaySound(804,100);
   PlaySound(902,100);
   PlaySound(804,100);
   PlaySound(758,100);
   PlaySound(804,100);
   PlaySound(902,100);
   PlaySound(804,100);
   PlaySound(676,100);
   PlaySound(804,100);
   PlaySound(1071,100);
   PlaySound(1012,100);
   PlaySound(1071,100);
   PlaySound(1071,100);
   PlaySound(1071,200);
End;

{ Title: Intro of Dust In The Wind (by Kansas)}
Procedure TPlaySpeaker.PlaySong15;
Begin
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1071,120);
   PlaySound(676,240);
   PlaySound(1012,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1012,120);
   PlaySound(676,240);
   PlaySound(1204,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1204,120);
   PlaySound(676,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1071,120);
   PlaySound(676,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(902,240);
   PlaySound(1071,120);
   PlaySound(676,240);
   PlaySound(1012,240);
   PlaySound(676,120);
   PlaySound(902,240);
   PlaySound(1012,120);
   PlaySound(676,240);
   PlaySound(1204,240);
   PlaySound(676,120);
   PlaySound(902,240);
   PlaySound(1204,120);
   PlaySound(676,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(902,120);
   PlaySound(902,240);
   PlaySound(1012,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1071,120);
   PlaySound(676,240);
   PlaySound(1012,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1012,120);
   PlaySound(676,240);
   PlaySound(1204,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1204,120);
   PlaySound(676,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1071,120);
   PlaySound(676,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(902,240);
   PlaySound(1071,120);
   PlaySound(676,240);
   PlaySound(1012,240);
   PlaySound(676,120);
   PlaySound(902,240);
   PlaySound(1012,120);
   PlaySound(676,240);
   PlaySound(1204,240);
   PlaySound(676,120);
   PlaySound(902,240);
   PlaySound(1204,120);
   PlaySound(676,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(902,120);
   PlaySound(902,240);
   PlaySound(1012,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1071,120);
   PlaySound(676,240);
   PlaySound(1012,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1012,120);
   PlaySound(676,240);
   PlaySound(1204,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1204,120);
   PlaySound(676,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1071,120);
   PlaySound(676,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(902,240);
   PlaySound(1071,120);
   PlaySound(676,240);
   PlaySound(1012,240);
   PlaySound(676,120);
   PlaySound(902,240);
   PlaySound(1012,120);
   PlaySound(676,240);
   PlaySound(1204,240);
   PlaySound(676,120);
   PlaySound(902,240);
   PlaySound(1204,120);
   PlaySound(676,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(902,120);
   PlaySound(902,240);
   PlaySound(1012,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1071,120);
   PlaySound(676,240);
   PlaySound(1012,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1012,120);
   PlaySound(676,240);
   PlaySound(1204,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1204,120);
   PlaySound(676,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(804,240);
   PlaySound(1071,120);
   PlaySound(676,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(902,240);
   PlaySound(1071,120);
   PlaySound(676,240);
   PlaySound(1012,240);
   PlaySound(676,120);
   PlaySound(902,240);
   PlaySound(1012,120);
   PlaySound(676,240);
   PlaySound(1204,240);
   PlaySound(676,120);
   PlaySound(902,240);
   PlaySound(1204,120);
   PlaySound(676,240);
   PlaySound(1071,240);
   PlaySound(676,120);
   PlaySound(902,120);
   PlaySound(902,240);
   PlaySound(1012,240);
   PlaySound(1071,240);
End;

{ Title: Theme from DYNASTY (Series stopped, but some may like this one...)}
Procedure TPlaySpeaker.PlaySong16;
Begin
   PlaySound(534,370);
   PlaySound(402,120);
   PlaySound(402,100);
   PlaySound(534,500);
   PlaySound(804,370);
   PlaySound(534,120);
   PlaySound(534,100);
   Delay(250);
   PlaySound(534,250);
   PlaySound(1071,250);
   PlaySound(1012,250);
   PlaySound(902,500);
   PlaySound(804,500);
   PlaySound(534,120);
   PlaySound(534,370);
   PlaySound(602,250);
   PlaySound(676,250);
   PlaySound(716,500);
   PlaySound(676,250);
   PlaySound(602,250);
   PlaySound(534,500);
   PlaySound(804,500);
   PlaySound(902,100);
   PlaySound(804,250);
   PlaySound(716,250);
   PlaySound(804,500);
   PlaySound(902,100);
   PlaySound(804,250);
   PlaySound(716,250);
   PlaySound(1071,500);
   PlaySound(804,100);
   PlaySound(716,250);
   PlaySound(676,250);
   PlaySound(534,500);
   PlaySound(602,100);
   Delay(250);
   PlaySound(902,120);
   PlaySound(804,120);
   PlaySound(716,120);
   PlaySound(902,120);
   PlaySound(676,120);
   PlaySound(902,120);
   PlaySound(602,250);
   PlaySound(902,120);
   PlaySound(804,120);
   PlaySound(716,120);
   PlaySound(902,120);
   PlaySound(676,120);
   PlaySound(902,120);
   PlaySound(602,250);
   PlaySound(804,120);
   PlaySound(716,120);
   PlaySound(676,120);
   PlaySound(804,120);
   PlaySound(602,120);
   PlaySound(804,120);
   PlaySound(534,250);
   PlaySound(804,120);
   PlaySound(716,120);
   PlaySound(676,120);
   PlaySound(804,120);
   PlaySound(602,120);
   PlaySound(804,120);
   PlaySound(534,250);
   PlaySound(676,120);
   PlaySound(602,120);
   PlaySound(534,120);
   PlaySound(676,120);
   PlaySound(506,120);
   PlaySound(676,120);
   PlaySound(451,250);
   PlaySound(602,120);
   PlaySound(534,120);
   PlaySound(506,120);
   PlaySound(602,120);
   PlaySound(451,120);
   PlaySound(602,120);
   PlaySound(402,120);
   PlaySound(506,120);
   PlaySound(602,120);
   PlaySound(716,120);
   PlaySound(676,120);
   PlaySound(602,120);
   PlaySound(676,370);
   PlaySound(402,120);
   PlaySound(534,120);
   PlaySound(676,120);
   PlaySound(602,120);
   PlaySound(534,120);
   PlaySound(602,370);
   Delay(120);
   PlaySound(902,120);
   PlaySound(804,120);
   PlaySound(716,120);
   PlaySound(902,120);
   PlaySound(676,120);
   PlaySound(902,120);
   PlaySound(602,250);
   PlaySound(902,120);
   PlaySound(804,120);
   PlaySound(716,120);
   PlaySound(902,120);
   PlaySound(676,120);
   PlaySound(902,120);
   PlaySound(602,250);
   PlaySound(804,120);
   PlaySound(716,120);
   PlaySound(676,120);
   PlaySound(804,120);
   PlaySound(602,120);
   PlaySound(804,120);
   PlaySound(534,250);
   PlaySound(804,120);
   PlaySound(716,120);
   PlaySound(676,120);
   PlaySound(804,120);
   PlaySound(602,120);
   PlaySound(804,120);
   PlaySound(534,250);
   PlaySound(676,120);
   PlaySound(602,120);
   PlaySound(534,120);
   PlaySound(676,120);
   PlaySound(506,120);
   PlaySound(676,120);
   PlaySound(451,250);
   PlaySound(602,120);
   PlaySound(534,120);
   PlaySound(506,120);
   PlaySound(602,120);
   PlaySound(451,120);
   PlaySound(602,120);
   PlaySound(402,120);
   PlaySound(506,120);
   PlaySound(602,120);
   PlaySound(716,120);
   PlaySound(676,120);
   PlaySound(602,120);
   PlaySound(676,370);
   PlaySound(402,120);
   PlaySound(534,120);
   PlaySound(676,120);
   PlaySound(602,100);
End;

{ Title: The Entertainer  (From the movie The Sting)}
Procedure TPlaySpeaker.PlaySong17;
Begin
   PlaySound(602,240);
   PlaySound(638,120);
   PlaySound(676,240);
   PlaySound(1071,360);
   PlaySound(676,120);
   PlaySound(1071,360);
   PlaySound(676,240);
   PlaySound(1071,720);
   Delay(360);
   PlaySound(1071,120);
   PlaySound(1204,240);
   PlaySound(1071,120);
   PlaySound(1351,240);
   PlaySound(1071,120);
   PlaySound(1204,240);
   PlaySound(1351,360);
   PlaySound(1012,120);
   PlaySound(1204,360);
   PlaySound(1071,720);
   Delay(240);
   PlaySound(602,240);
   PlaySound(638,120);
   PlaySound(676,240);
   PlaySound(1071,360);
   PlaySound(676,120);
   PlaySound(1071,360);
   PlaySound(676,240);
   PlaySound(1071,720);
   Delay(360);
   PlaySound(902,240);
   PlaySound(804,120);
   PlaySound(758,240);
   PlaySound(902,120);
   PlaySound(1071,240);
   PlaySound(1351,360);
   PlaySound(1204,120);
   PlaySound(1071,240);
   PlaySound(902,120);
   PlaySound(1204,720);
   Delay(360);
   PlaySound(602,240);
   PlaySound(638,120);
   PlaySound(676,240);
   PlaySound(1071,360);
   PlaySound(676,120);
   PlaySound(1071,360);
   PlaySound(676,240);
   PlaySound(1071,720);
   Delay(360);
   PlaySound(1071,120);
   PlaySound(1204,240);
   PlaySound(1071,120);
   PlaySound(1351,240);
   PlaySound(1071,120);
   PlaySound(1204,240);
   PlaySound(1351,360);
   PlaySound(1012,120);
   PlaySound(1204,360);
   PlaySound(1071,720);
   Delay(240);
   PlaySound(1071,120);
   PlaySound(1204,240);
   PlaySound(1071,120);
   PlaySound(1351,240);
   PlaySound(1071,120);
   PlaySound(1204,240);
   PlaySound(1351,360);
   PlaySound(1071,120);
   PlaySound(1204,240);
   PlaySound(1071,120);
   PlaySound(1351,240);
   PlaySound(1071,120);
   PlaySound(1204,240);
   PlaySound(1351,360);
   PlaySound(1071,120);
   PlaySound(1204,240);
   PlaySound(1071,120);
   PlaySound(1351,240);
   PlaySound(1071,120);
   PlaySound(1204,240);
   PlaySound(1351,360);
   PlaySound(1012,120);
   PlaySound(1204,360);
   PlaySound(1071,720);
   Delay(360);
End;

{ Title: Little part from "Equinoxe" (J.M. Jarre)}
Procedure TPlaySpeaker.PlaySong18;
Begin
   PlaySound(1275,150);
   PlaySound(1204,150);
   PlaySound(1275,150);
   PlaySound(1071,300);
   PlaySound(804,450);
   PlaySound(1275,450);
   PlaySound(804,150);
   PlaySound(1275,300);
   PlaySound(804,150);
   PlaySound(1204,300);
   PlaySound(1071,450);
   PlaySound(804,450);
   PlaySound(804,150);
   PlaySound(956,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(956,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(1204,300);
   PlaySound(804,450);
   PlaySound(804,150);
   PlaySound(956,150);
   PlaySound(902,150);
   PlaySound(956,150);
   PlaySound(804,300);
   PlaySound(602,450);
   PlaySound(956,150);
   PlaySound(902,300);
   PlaySound(804,150);
   PlaySound(902,300);
   PlaySound(804,150);
   PlaySound(716,300);
   PlaySound(1071,450);
   PlaySound(716,450);
   PlaySound(716,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(716,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(716,150);
   PlaySound(1071,300);
   PlaySound(716,600);
   PlaySound(1275,150);
   PlaySound(1204,150);
   PlaySound(1275,150);
   PlaySound(1071,300);
   PlaySound(804,450);
   PlaySound(1275,450);
   PlaySound(804,150);
   PlaySound(1275,300);
   PlaySound(804,150);
   PlaySound(1204,300);
   PlaySound(1071,450);
   PlaySound(804,450);
   PlaySound(804,150);
   PlaySound(956,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(956,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(1204,300);
   PlaySound(804,450);
   PlaySound(804,150);
   PlaySound(956,150);
   PlaySound(902,150);
   PlaySound(956,150);
   PlaySound(804,300);
   PlaySound(602,450);
   PlaySound(956,150);
   PlaySound(902,300);
   PlaySound(804,150);
   PlaySound(902,300);
   PlaySound(804,150);
   PlaySound(716,300);
   PlaySound(1071,450);
   PlaySound(716,450);
   PlaySound(716,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(716,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(716,150);
   PlaySound(1071,300);
   PlaySound(716,600);
End;

{ "The French National Hymn"}
Procedure TPlaySpeaker.PlaySong19;
Begin
   PlaySound(534,120);
   PlaySound(534,250);
   PlaySound(534,120);
   PlaySound(716,370);
   PlaySound(716,370);
   PlaySound(804,370);
   PlaySound(804,370);
   PlaySound(1071,500);
   PlaySound(902,120);
   PlaySound(716,250);
   PlaySound(716,120);
   PlaySound(902,250);
   PlaySound(716,120);
   PlaySound(602,370);
   PlaySound(956,750);
   PlaySound(804,250);
   PlaySound(676,120);
   PlaySound(716,110);
   Delay(250);
   PlaySound(716,250);
   PlaySound(804,120);
   PlaySound(902,370);
   PlaySound(902,370);
   PlaySound(902,370);
   PlaySound(956,250);
   PlaySound(902,120);
   PlaySound(902,370);
   PlaySound(804,500);
   Delay(250);
   PlaySound(804,250);
   PlaySound(902,120);
   PlaySound(956,370);
   PlaySound(956,370);
   PlaySound(956,370);
   PlaySound(1071,250);
   PlaySound(956,120);
   PlaySound(902,750);
   Delay(250);
   PlaySound(1071,250);
   PlaySound(1071,120);
   PlaySound(1071,370);
   PlaySound(902,250);
   PlaySound(716,120);
   PlaySound(1071,370);
   PlaySound(902,250);
   PlaySound(716,120);
   PlaySound(534,750);
   Delay(250);
   PlaySound(534,120);
   PlaySound(534,250);
   PlaySound(534,120);
   PlaySound(716,370);
   PlaySound(716,370);
   PlaySound(804,370);
   PlaySound(804,370);
   PlaySound(1071,500);
   PlaySound(902,120);
   PlaySound(716,250);
   PlaySound(716,120);
   PlaySound(902,250);
   PlaySound(716,120);
   PlaySound(602,370);
   PlaySound(956,750);
   PlaySound(804,250);
   PlaySound(676,120);
   PlaySound(716,100);
End;

{ "Theme from Ghostbusters"   27 seconds}
Procedure TPlaySpeaker.PlaySong20;
Begin
   PlaySound(268,240);
   PlaySound(268,240);
   PlaySound(268,120);
   PlaySound(338,120);
   PlaySound(402,240);
   PlaySound(478,240);
   PlaySound(478,240);
   PlaySound(451,240);
   PlaySound(451,240);
   PlaySound(268,240);
   PlaySound(268,240);
   PlaySound(268,120);
   PlaySound(338,120);
   PlaySound(402,240);
   PlaySound(478,240);
   PlaySound(478,240);
   PlaySound(451,240);
   PlaySound(451,240);
   PlaySound(268,240);
   PlaySound(1071,120);
   PlaySound(1071,120);
   PlaySound(1351,240);
   PlaySound(1071,240);
   PlaySound(1204,240);
   PlaySound(956,240);
   PlaySound(402,240);
   PlaySound(402,240);
   PlaySound(268,240);
   PlaySound(268,240);
   PlaySound(1071,120);
   PlaySound(1071,120);
   PlaySound(1071,120);
   PlaySound(1071,120);
   PlaySound(956,240);
   PlaySound(1204,240);
   PlaySound(804,480);
   PlaySound(268,240);
   PlaySound(1071,120);
   PlaySound(1071,120);
   PlaySound(1351,240);
   PlaySound(1071,240);
   PlaySound(1204,240);
   PlaySound(956,240);
   PlaySound(402,240);
   PlaySound(402,240);
   PlaySound(268,240);
   PlaySound(268,240);
   PlaySound(1071,120);
   PlaySound(1071,120);
   PlaySound(1071,120);
   PlaySound(1071,120);
   PlaySound(956,240);
   PlaySound(1204,240);
   PlaySound(1071,480);
   PlaySound(1275,360);
   PlaySound(1071,240);
   Delay(120);
   PlaySound(1275,360);
   PlaySound(1071,240);
   Delay(120);
   PlaySound(1275,360);
   PlaySound(1071,240);
   Delay(120);
   PlaySound(1275,360);
   PlaySound(1071,240);
   Delay(120);
   PlaySound(1275,240);
   PlaySound(1071,240);
   PlaySound(956,120);
   PlaySound(1012,120);
   PlaySound(1071,240);
   PlaySound(1275,360);
   PlaySound(1071,240);
   Delay(120);
   PlaySound(1275,360);
   PlaySound(1071,240);
   Delay(120);
   PlaySound(1275,360);
   PlaySound(1071,240);
   Delay(120);
   PlaySound(1275,360);
   PlaySound(1071,240);
   Delay(120);
   PlaySound(1275,240);
   PlaySound(1071,240);
   PlaySound(956,120);
   PlaySound(1012,120);
   PlaySound(1071,240);
   PlaySound(1607,360);
   PlaySound(1275,240);
   Delay(120);
   PlaySound(1607,360);
   PlaySound(1275,240);
   Delay(120);
   PlaySound(1607,360);
   PlaySound(1275,240);
   Delay(120);
   PlaySound(1607,360);
   PlaySound(1275,240);
   Delay(120);
   PlaySound(1607,240);
   PlaySound(1275,240);
   PlaySound(1136,120);
   PlaySound(1204,120);
   PlaySound(1275,240);
   PlaySound(1607,360);
   PlaySound(1275,240);
   Delay(120);
   PlaySound(1607,360);
   PlaySound(1275,240);
   Delay(120);
   PlaySound(1607,360);
   PlaySound(1275,240);
   Delay(120);
   PlaySound(1607,360);
   PlaySound(1275,240);
   Delay(120);
   PlaySound(2145,960);
End;

{ Just a little irritating melody by me :-) }
Procedure TPlaySpeaker.PlaySong21;
Begin
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(638,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(638,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(638,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(638,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(568,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(568,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(568,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(568,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(638,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(638,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(638,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(638,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(568,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(568,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(568,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(568,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(638,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(638,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(638,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(638,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(568,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(568,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(568,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(568,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(534,110);
   PlaySound(676,110);
   PlaySound(804,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(804,110);
   PlaySound(1012,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
   PlaySound(602,110);
   PlaySound(758,110);
   PlaySound(902,110);
End;

{ "Eine Kleine Nachtmusik" W.A. Mozart}
Procedure TPlaySpeaker.PlaySong22;
Begin
   PlaySound(716,400);
   Delay(200);
   PlaySound(534,100);
   Delay(100);
   PlaySound(716,400);
   Delay(200);
   PlaySound(534,100);
   Delay(100);
   PlaySound(716,100);
   Delay(100);
   PlaySound(534,100);
   Delay(100);
   PlaySound(716,100);
   Delay(100);
   PlaySound(902,100);
   Delay(100);
   PlaySound(1071,600);
   Delay(200);
   PlaySound(956,400);
   Delay(200);
   PlaySound(804,100);
   Delay(100);
   PlaySound(956,400);
   Delay(200);
   PlaySound(804,100);
   Delay(100);
   PlaySound(956,100);
   Delay(100);
   PlaySound(804,100);
   Delay(100);
   PlaySound(676,100);
   Delay(100);
   PlaySound(804,100);
   Delay(100);
   PlaySound(534,600);
   Delay(200);
   PlaySound(716,200);
   Delay(200);
   PlaySound(716,600);
   PlaySound(902,200);
   PlaySound(804,200);
   PlaySound(716,200);
   PlaySound(716,200);
   PlaySound(676,200);
   PlaySound(676,600);
   PlaySound(804,200);
   PlaySound(956,200);
   PlaySound(676,200);
   PlaySound(804,200);
   PlaySound(716,200);
   PlaySound(716,600);
   PlaySound(902,200);
   PlaySound(804,200);
   PlaySound(716,200);
   PlaySound(716,200);
   PlaySound(676,200);
   PlaySound(676,600);
   PlaySound(804,200);
   PlaySound(956,200);
   PlaySound(676,200);
   PlaySound(716,200);
   PlaySound(716,200);
   PlaySound(716,100);
   PlaySound(676,100);
   PlaySound(602,100);
   PlaySound(676,100);
   PlaySound(716,200);
   PlaySound(716,200);
   PlaySound(902,100);
   PlaySound(804,100);
   PlaySound(716,100);
   PlaySound(804,100);
   PlaySound(902,200);
   PlaySound(902,200);
   PlaySound(1071,100);
   PlaySound(956,100);
   PlaySound(902,100);
   PlaySound(956,100);
   PlaySound(1071,600);
   Delay(200);
   PlaySound(1071,800);
   PlaySound(1204,800);
   PlaySound(1071,200);
   PlaySound(956,100);
   Delay(100);
   PlaySound(956,100);
   Delay(100);
   PlaySound(956,100);
   Delay(100);
   PlaySound(956,200);
   PlaySound(902,100);
   Delay(100);
   PlaySound(902,100);
   Delay(100);
   PlaySound(902,100);
   Delay(100);
   PlaySound(902,200);
   PlaySound(804,100);
   Delay(100);
   PlaySound(804,100);
   Delay(100);
   PlaySound(804,100);
   Delay(100);
   PlaySound(716,200);
   PlaySound(676,200);
   PlaySound(602,200);
   PlaySound(676,200);
   PlaySound(716,200);
   Delay(200);
   PlaySound(804,200);
   Delay(200);
   PlaySound(902,200);
   Delay(600);
   PlaySound(1071,800);
   PlaySound(1204,800);
   PlaySound(1071,200);
   PlaySound(956,100);
   Delay(100);
   PlaySound(956,100);
   Delay(100);
   PlaySound(956,100);
   Delay(100);
   PlaySound(956,200);
   PlaySound(902,100);
   Delay(100);
   PlaySound(902,100);
   Delay(100);
   PlaySound(902,100);
   Delay(100);
   PlaySound(902,200);
   PlaySound(804,100);
   Delay(100);
   PlaySound(804,100);
   Delay(100);
   PlaySound(804,100);
   Delay(100);
   PlaySound(716,200);
   PlaySound(676,200);
   PlaySound(602,200);
   PlaySound(676,200);
   PlaySound(716,200);
   PlaySound(716,200);
   PlaySound(716,200);
   PlaySound(716,200);
   PlaySound(716,200);
   PlaySound(676,100);
   PlaySound(716,100);
   PlaySound(804,200);
   PlaySound(676,200);
   PlaySound(902,200);
   PlaySound(902,200);
   PlaySound(902,200);
   PlaySound(902,200);
   PlaySound(902,200);
   PlaySound(804,100);
   PlaySound(902,100);
   PlaySound(956,200);
   PlaySound(804,200);
   PlaySound(1071,800);
   PlaySound(1204,400);
   PlaySound(1351,400);
   PlaySound(1432,400);
   PlaySound(1607,400);
   PlaySound(1804,400);
   PlaySound(2025,400);
   PlaySound(2145,600);
   PlaySound(1607,100);
   PlaySound(2025,300);
   PlaySound(1607,100);
   PlaySound(2025,300);
   PlaySound(1607,100);
   PlaySound(2145,600);
   PlaySound(1607,100);
   PlaySound(2025,300);
   PlaySound(1607,100);
   PlaySound(2025,300);
   PlaySound(1607,100);
   PlaySound(2145,200);
   PlaySound(2145,200);
   PlaySound(2145,200);
   PlaySound(2145,200);
   PlaySound(2145,200);
   PlaySound(2145,200);
   PlaySound(2145,200);
   PlaySound(2145,200);
   PlaySound(2145,200);
   PlaySound(534,200);
   PlaySound(534,200);
   PlaySound(534,200);
   PlaySound(534,600);
   Delay(400);
End;

{ "Larry's Theme"}
Procedure TPlaySpeaker.PlaySong23;
Begin
   PlaySound(506,280);
   PlaySound(534,280);
   PlaySound(568,280);
   PlaySound(602,140);
   PlaySound(676,140);
   PlaySound(506,140);
   PlaySound(602,280);
   PlaySound(676,280);
   PlaySound(506,140);
   PlaySound(602,140);
   PlaySound(676,140);
   PlaySound(602,140);
   PlaySound(804,560);
   PlaySound(638,140);
   PlaySound(676,140);
   PlaySound(804,140);
   PlaySound(638,140);
   PlaySound(676,280);
   PlaySound(804,280);
   PlaySound(638,140);
   PlaySound(676,140);
   PlaySound(804,140);
   PlaySound(902,140);
   PlaySound(956,280);
   PlaySound(804,140);
   PlaySound(902,140);
   PlaySound(804,140);
   PlaySound(1012,280);
   PlaySound(1012,280);
   PlaySound(1012,280);
   PlaySound(1012,280);
   PlaySound(1012,140);
   PlaySound(956,140);
   PlaySound(902,140);
   PlaySound(851,280);
   PlaySound(676,420);
   PlaySound(1012,140);
   PlaySound(956,140);
   PlaySound(1012,280);
   PlaySound(804,140);
   PlaySound(902,420);
   PlaySound(804,140);
   PlaySound(758,140);
   PlaySound(716,140);
   PlaySound(676,280);
   PlaySound(676,420);
   PlaySound(1012,140);
   PlaySound(956,140);
   PlaySound(1012,280);
   PlaySound(804,140);
   PlaySound(902,420);
   PlaySound(804,140);
   Delay(140);
   PlaySound(506,280);
   PlaySound(534,280);
   PlaySound(568,280);
   PlaySound(602,140);
   PlaySound(676,140);
   PlaySound(506,140);
   PlaySound(602,280);
   PlaySound(676,280);
   PlaySound(506,140);
   PlaySound(602,140);
   PlaySound(676,140);
   PlaySound(602,140);
   PlaySound(804,560);
   PlaySound(638,140);
   PlaySound(676,140);
   PlaySound(804,140);
   PlaySound(638,140);
   PlaySound(676,280);
   PlaySound(804,280);
   PlaySound(638,140);
   PlaySound(676,140);
   PlaySound(804,140);
   PlaySound(902,140);
   PlaySound(956,280);
   PlaySound(804,140);
   PlaySound(902,140);
   PlaySound(804,140);
   PlaySound(1012,280);
   PlaySound(1012,280);
   PlaySound(1012,280);
   PlaySound(1012,280);
   PlaySound(1012,140);
   PlaySound(956,140);
   PlaySound(902,140);
   PlaySound(851,280);
   PlaySound(676,420);
   PlaySound(1012,140);
   PlaySound(956,140);
   PlaySound(1012,280);
   PlaySound(804,140);
   PlaySound(902,420);
   PlaySound(804,140);
   PlaySound(758,140);
   PlaySound(716,140);
   PlaySound(676,280);
   PlaySound(676,420);
   PlaySound(1012,140);
   PlaySound(956,140);
   PlaySound(1012,280);
   PlaySound(804,140);
   PlaySound(902,420);
   PlaySound(804,140);
   Delay(140);
   PlaySound(402,140);
   Delay(140);
   PlaySound(804,140);
   Delay(140);
   PlaySound(402,140);
   Delay(280);
   PlaySound(804,140);
   Delay(140);
   PlaySound(804,140);
   PlaySound(804,140);
   Delay(140);
   PlaySound(402,140);
End;

{ "MAGNETIC FIELDS" - J.M. Jarre}
Procedure TPlaySpeaker.PlaySong24;
Begin
   PlaySound(804,150);
   PlaySound(902,150);
   PlaySound(1012,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(1012,450);
   PlaySound(804,150);
   PlaySound(902,150);
   PlaySound(1012,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(1012,450);
   PlaySound(758,150);
   PlaySound(804,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(758,150);
   PlaySound(902,450);
   PlaySound(758,150);
   PlaySound(804,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(758,150);
   PlaySound(902,450);
   PlaySound(676,150);
   PlaySound(758,150);
   PlaySound(804,150);
   PlaySound(758,150);
   PlaySound(676,150);
   PlaySound(804,450);
   PlaySound(676,150);
   PlaySound(758,150);
   PlaySound(804,150);
   PlaySound(758,150);
   PlaySound(676,150);
   PlaySound(804,600);
   PlaySound(758,150);
   PlaySound(676,450);
   PlaySound(602,900);
   PlaySound(534,450);
   PlaySound(602,450);
   PlaySound(534,450);
   PlaySound(506,900);
   Delay(220);
   PlaySound(638,900);
   Delay(220);
   PlaySound(758,900);
   Delay(220);
   PlaySound(902,900);
   Delay(220);
   PlaySound(1071,900);
   Delay(220);
   PlaySound(804,150);
   PlaySound(902,150);
   PlaySound(1012,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(1012,450);
   PlaySound(804,150);
   PlaySound(902,150);
   PlaySound(1012,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(1012,450);
   PlaySound(758,150);
   PlaySound(804,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(758,150);
   PlaySound(902,450);
   PlaySound(758,150);
   PlaySound(804,150);
   PlaySound(902,150);
   PlaySound(804,150);
   PlaySound(758,150);
   PlaySound(902,450);
   PlaySound(676,150);
   PlaySound(758,150);
   PlaySound(804,150);
   PlaySound(758,150);
   PlaySound(676,150);
   PlaySound(804,450);
   PlaySound(676,150);
   PlaySound(758,150);
   PlaySound(804,150);
   PlaySound(758,150);
   PlaySound(676,150);
   PlaySound(804,600);
   PlaySound(758,150);
   PlaySound(676,450);
   PlaySound(602,900);
   PlaySound(534,450);
   PlaySound(602,450);
   PlaySound(534,450);
   PlaySound(506,900);
   Delay(220);
End;

{ "I've got a taste for..."  (Sysops Favorite Restaurant :-)  }
Procedure TPlaySpeaker.PlaySong25;
Begin
   PlaySound(534,400);
   Delay(100);
   PlaySound(1071,400);
   Delay(200);
   PlaySound(902,100);
   PlaySound(804,300);
   PlaySound(804,200);
   PlaySound(902,100);
   PlaySound(676,200);
   PlaySound(804,200);
   Delay(100);
   PlaySound(534,100);
   PlaySound(716,300);
   PlaySound(716,300);
   PlaySound(716,200);
   PlaySound(804,100);
   PlaySound(902,200);
   PlaySound(804,400);
   Delay(300);
   PlaySound(534,400);
   Delay(100);
   PlaySound(1071,400);
   Delay(200);
   PlaySound(902,100);
   PlaySound(804,300);
   PlaySound(804,200);
   PlaySound(902,100);
   PlaySound(676,200);
   PlaySound(804,200);
   Delay(100);
   PlaySound(534,100);
   PlaySound(716,300);
   PlaySound(716,300);
   PlaySound(716,200);
   PlaySound(676,100);
   PlaySound(602,200);
   PlaySound(534,400);
   Delay(300);
   PlaySound(902,300);
   PlaySound(902,300);
   PlaySound(902,300);
   PlaySound(851,200);
   PlaySound(902,300);
   PlaySound(1071,600);
   PlaySound(902,300);
   PlaySound(804,300);
   PlaySound(804,300);
   PlaySound(804,300);
   PlaySound(902,150);
   PlaySound(676,900);
   Delay(400);
   PlaySound(902,300);
   PlaySound(902,300);
   PlaySound(902,300);
   PlaySound(851,300);
   PlaySound(902,200);
   PlaySound(1012,300);
   PlaySound(1071,400);
   Delay(100);
   PlaySound(902,100);
   PlaySound(1012,300);
   PlaySound(1012,300);
   PlaySound(1012,300);
   PlaySound(1071,200);
   PlaySound(1204,600);
   Delay(400);
   PlaySound(534,400);
   Delay(100);
   PlaySound(1071,400);
   Delay(200);
   PlaySound(902,100);
   PlaySound(804,300);
   PlaySound(804,200);
   PlaySound(902,100);
   PlaySound(676,200);
   PlaySound(804,200);
   Delay(100);
   PlaySound(534,100);
   PlaySound(716,300);
   PlaySound(716,300);
   PlaySound(716,200);
   PlaySound(804,100);
   PlaySound(902,200);
   PlaySound(804,400);
   Delay(300);
   PlaySound(534,400);
   Delay(100);
   PlaySound(1071,400);
   Delay(200);
   PlaySound(902,100);
   PlaySound(804,300);
   PlaySound(804,200);
   PlaySound(902,100);
   PlaySound(676,200);
   PlaySound(804,200);
   Delay(100);
   PlaySound(534,100);
   PlaySound(716,300);
   PlaySound(716,300);
   PlaySound(716,200);
   PlaySound(676,100);
   PlaySound(602,200);
   PlaySound(534,400);
   Delay(200);
End;

{ "And Now For Something Completely Different" - Monty Python's Flying Circus}
Procedure TPlaySpeaker.PlaySong26;
Begin
   PlaySound(716,140);
   PlaySound(602,280);
   PlaySound(602,140);
   PlaySound(602,140);
   PlaySound(568,140);
   PlaySound(602,140);
   PlaySound(956,280);
   PlaySound(716,140);
   PlaySound(716,280);
   PlaySound(602,140);
   PlaySound(638,280);
   PlaySound(602,140);
   PlaySound(638,280);
   PlaySound(716,140);
   PlaySound(804,840);
   PlaySound(638,140);
   PlaySound(534,280);
   PlaySound(534,140);
   PlaySound(534,140);
   PlaySound(506,140);
   PlaySound(534,140);
   PlaySound(902,280);
   PlaySound(804,140);
   PlaySound(804,280);
   PlaySound(638,140);
   PlaySound(602,280);
   PlaySound(568,140);
   PlaySound(602,280);
   PlaySound(638,140);
   PlaySound(716,840);
   PlaySound(716,140);
   PlaySound(602,280);
   PlaySound(602,140);
   PlaySound(602,140);
   PlaySound(568,140);
   PlaySound(602,140);
   PlaySound(956,280);
   PlaySound(716,140);
   PlaySound(716,280);
   PlaySound(602,140);
   PlaySound(638,280);
   PlaySound(602,140);
   PlaySound(638,280);
   PlaySound(716,140);
   PlaySound(804,840);
   PlaySound(804,140);
   PlaySound(804,280);
   PlaySound(804,140);
   PlaySound(902,280);
   PlaySound(804,140);
   PlaySound(716,280);
   PlaySound(804,140);
   PlaySound(716,280);
   PlaySound(638,140);
   PlaySound(602,420);
   PlaySound(534,420);
   PlaySound(478,140);
   Delay(280);
   PlaySound(716,420);
   PlaySound(602,280);
   PlaySound(602,140);
   PlaySound(602,140);
   PlaySound(568,140);
   PlaySound(602,140);
   PlaySound(956,280);
   PlaySound(716,140);
   PlaySound(716,280);
   PlaySound(602,140);
   PlaySound(638,280);
   PlaySound(602,140);
   PlaySound(638,280);
   PlaySound(716,140);
   PlaySound(804,840);
   PlaySound(638,140);
   PlaySound(534,280);
   PlaySound(534,140);
   PlaySound(534,140);
   PlaySound(506,140);
   PlaySound(534,140);
   PlaySound(902,280);
   PlaySound(804,140);
   PlaySound(804,280);
   PlaySound(638,140);
   PlaySound(602,280);
   PlaySound(568,140);
   PlaySound(602,280);
   PlaySound(638,140);
   PlaySound(716,840);
   PlaySound(716,140);
   PlaySound(602,280);
   PlaySound(602,140);
   PlaySound(602,140);
   PlaySound(568,140);
   PlaySound(602,140);
   PlaySound(956,280);
   PlaySound(716,140);
   PlaySound(716,280);
   PlaySound(602,140);
   PlaySound(638,280);
   PlaySound(602,140);
   PlaySound(638,280);
   PlaySound(716,140);
   PlaySound(804,840);
   PlaySound(804,140);
   PlaySound(804,280);
   PlaySound(804,140);
   PlaySound(902,280);
   PlaySound(804,140);
   PlaySound(716,280);
   PlaySound(804,140);
   PlaySound(716,280);
   PlaySound(638,140);
   PlaySound(602,420);
   PlaySound(534,420);
   PlaySound(478,140);
End;

{ "YANKEE DOODLE" (at least, I think it is :-)}
Procedure TPlaySpeaker.PlaySong27;
Begin
   PlaySound(804,200);
   PlaySound(804,200);
   PlaySound(902,200);
   PlaySound(1012,200);
   PlaySound(804,200);
   PlaySound(1012,200);
   PlaySound(902,200);
   PlaySound(602,200);
   PlaySound(804,200);
   PlaySound(804,200);
   PlaySound(902,200);
   PlaySound(1012,200);
   PlaySound(804,400);
   PlaySound(758,400);
   PlaySound(804,200);
   PlaySound(804,200);
   PlaySound(902,200);
   PlaySound(1012,200);
   PlaySound(1071,200);
   PlaySound(1012,200);
   PlaySound(902,200);
   PlaySound(804,200);
   PlaySound(758,200);
   PlaySound(602,200);
   PlaySound(676,200);
   PlaySound(758,200);
   PlaySound(804,400);
   PlaySound(804,400);
   PlaySound(676,300);
   PlaySound(758,100);
   PlaySound(676,200);
   PlaySound(602,200);
   PlaySound(676,200);
   PlaySound(758,200);
   PlaySound(804,400);
   PlaySound(602,300);
   PlaySound(676,100);
   PlaySound(602,200);
   PlaySound(534,200);
   PlaySound(506,400);
   PlaySound(602,400);
   PlaySound(676,300);
   PlaySound(758,100);
   PlaySound(676,200);
   PlaySound(602,200);
   PlaySound(676,200);
   PlaySound(758,200);
   PlaySound(804,400);
   PlaySound(602,200);
   PlaySound(804,200);
   PlaySound(758,200);
   PlaySound(902,200);
   PlaySound(804,400);
   PlaySound(804,400);
   PlaySound(804,200);
   PlaySound(804,200);
   PlaySound(902,200);
   PlaySound(1012,200);
   PlaySound(804,200);
   PlaySound(1012,200);
   PlaySound(902,200);
   PlaySound(602,200);
   PlaySound(804,200);
   PlaySound(804,200);
   PlaySound(902,200);
   PlaySound(1012,200);
   PlaySound(804,400);
   PlaySound(758,400);
   PlaySound(804,200);
   PlaySound(804,200);
   PlaySound(902,200);
   PlaySound(1012,200);
   PlaySound(1071,200);
   PlaySound(1012,200);
   PlaySound(902,200);
   PlaySound(804,200);
   PlaySound(758,200);
   PlaySound(602,200);
   PlaySound(676,200);
   PlaySound(758,200);
   PlaySound(804,400);
   PlaySound(804,400);
End;

{ Title: Theme from "The Muppet Show" }
Procedure TPlaySpeaker.PlaySong28;
Begin
   PlaySound(1432,230);
   PlaySound(1432,230);
   PlaySound(1204,230);
   PlaySound(1351,230);
   PlaySound(1275,110);
   PlaySound(1351,230);
   PlaySound(1071,460);
   PlaySound(1432,230);
   PlaySound(1432,230);
   PlaySound(1204,230);
   PlaySound(1351,230);
   PlaySound(1204,110);
   PlaySound(1071,690);
   PlaySound(902,230);
   PlaySound(902,230);
   PlaySound(1071,230);
   PlaySound(956,230);
   PlaySound(902,110);
   PlaySound(956,230);
   PlaySound(1432,110);
   PlaySound(716,110);
   PlaySound(804,110);
   PlaySound(902,230);
   PlaySound(902,110);
   PlaySound(902,230);
   PlaySound(716,110);
   PlaySound(1071,230);
   Delay(230);
   PlaySound(268,110);
   Delay(110);
   PlaySound(301,110);
   Delay(110);
   PlaySound(338,110);
   Delay(110);
   PlaySound(358,110);
   Delay(110);
   PlaySound(1432,230);
   PlaySound(1432,230);
   PlaySound(1204,230);
   PlaySound(1351,230);
   PlaySound(1275,110);
   PlaySound(1351,230);
   PlaySound(1071,460);
   PlaySound(1432,230);
   PlaySound(1432,230);
   PlaySound(1204,230);
   PlaySound(1351,230);
   PlaySound(1204,110);
   PlaySound(1071,690);
   PlaySound(902,230);
   PlaySound(902,230);
   PlaySound(1071,230);
   PlaySound(956,230);
   PlaySound(902,110);
   PlaySound(956,230);
   PlaySound(1432,110);
   PlaySound(716,110);
   PlaySound(804,110);
   PlaySound(902,230);
   PlaySound(902,110);
   PlaySound(804,230);
   PlaySound(804,110);
   PlaySound(716,110);
   Delay(230);
   PlaySound(358,110);
   Delay(110);
   PlaySound(402,110);
   Delay(110);
   PlaySound(1432,230);
   PlaySound(1607,230);
   PlaySound(1432,230);
   PlaySound(1351,230);
   PlaySound(1607,230);
   PlaySound(1432,230);
   PlaySound(1071,460);
   PlaySound(1432,230);
   PlaySound(1607,230);
   PlaySound(1432,230);
   PlaySound(1351,230);
   PlaySound(1607,230);
   PlaySound(1432,460);
   Delay(230);
   PlaySound(1432,230);
   PlaySound(1607,230);
   PlaySound(1432,230);
   PlaySound(1351,230);
   PlaySound(1607,230);
   PlaySound(1804,230);
   PlaySound(1071,460);
   PlaySound(1071,230);
   PlaySound(1204,230);
   PlaySound(1204,110);
   PlaySound(1351,230);
   PlaySound(1432,110);
   PlaySound(1607,230);
   Delay(460);
   PlaySound(1432,230);
   PlaySound(1432,230);
   PlaySound(1204,230);
   PlaySound(1351,230);
   PlaySound(1275,110);
   PlaySound(1351,230);
   PlaySound(1071,460);
   PlaySound(1432,230);
   PlaySound(1432,230);
   PlaySound(1204,230);
   PlaySound(1351,230);
   PlaySound(1204,110);
   PlaySound(1071,690);
   PlaySound(902,230);
   PlaySound(902,230);
   PlaySound(1071,230);
   PlaySound(956,230);
   PlaySound(902,110);
   PlaySound(956,230);
   PlaySound(1432,110);
   PlaySound(716,110);
   PlaySound(804,110);
   PlaySound(902,230);
   PlaySound(902,110);
   PlaySound(804,230);
   PlaySound(804,110);
   PlaySound(716,110);
   Delay(230);
End;

{ Title: The Star Trek Theme (old or new generation, I really don't know,}
Procedure TPlaySpeaker.PlaySong29;
Begin
   PlaySound(602,960);
   PlaySound(1071,140);
   PlaySound(1012,480);
   PlaySound(902,240);
   Delay(60);
   PlaySound(804,240);
   Delay(60);
   PlaySound(758,240);
   Delay(60);
   PlaySound(716,140);
   Delay(480);
   PlaySound(638,480);
   PlaySound(602,960);
   PlaySound(1204,140);
   PlaySound(1071,480);
   PlaySound(1012,240);
   Delay(60);
   PlaySound(902,240);
   Delay(60);
   PlaySound(804,240);
   Delay(60);
   PlaySound(758,140);
   Delay(480);
   PlaySound(716,480);
   PlaySound(676,140);
   PlaySound(758,480);
   PlaySound(851,480);
   PlaySound(902,480);
   PlaySound(1012,240);
   Delay(60);
   PlaySound(1136,240);
   Delay(60);
   PlaySound(1204,240);
   Delay(60);
   PlaySound(1351,960);
   PlaySound(1432,140);
   Delay(480);
   PlaySound(716,140);
   PlaySound(804,480);
   PlaySound(902,480);
   PlaySound(956,480);
   PlaySound(1071,240);
   Delay(60);
   PlaySound(1204,240);
   Delay(60);
   PlaySound(1275,240);
   Delay(60);
   PlaySound(1432,960);
   PlaySound(1517,140);
   Delay(960);
   PlaySound(602,960);
   PlaySound(1071,140);
   PlaySound(1012,480);
   PlaySound(902,240);
   Delay(60);
   PlaySound(804,240);
   Delay(60);
   PlaySound(758,240);
   Delay(60);
   PlaySound(716,140);
   Delay(480);
End;

{ "PAINT IT BLACK"  -=- ROLLING STONES}
Procedure TPlaySpeaker.PlaySong30;
Begin
   PlaySound(602,250);
   PlaySound(676,250);
   PlaySound(716,250);
   PlaySound(804,250);
   PlaySound(716,250);
   PlaySound(676,250);
   PlaySound(602,250);
   PlaySound(602,250);
   PlaySound(568,250);
   PlaySound(602,250);
   PlaySound(676,250);
   PlaySound(602,120);
   PlaySound(676,60);
   PlaySound(602,60);
   PlaySound(568,500);
   Delay(500);
   PlaySound(602,250);
   PlaySound(676,250);
   PlaySound(716,250);
   PlaySound(804,250);
   PlaySound(716,250);
   PlaySound(676,250);
   PlaySound(602,250);
   PlaySound(602,250);
   PlaySound(568,250);
   PlaySound(602,250);
   PlaySound(676,250);
   PlaySound(602,120);
   PlaySound(676,60);
   PlaySound(602,60);
   PlaySound(568,500);
   Delay(500);
   PlaySound(1204,120);
   PlaySound(1204,120);
   PlaySound(1071,250);
   PlaySound(1071,250);
   PlaySound(716,250);
   PlaySound(716,120);
   PlaySound(804,370);
   PlaySound(804,250);
   PlaySound(902,250);
   PlaySound(902,250);
   PlaySound(902,120);
   PlaySound(804,120);
   PlaySound(716,120);
   PlaySound(902,750);
   Delay(500);
   PlaySound(1204,120);
   PlaySound(1204,120);
   PlaySound(1071,250);
   PlaySound(1071,250);
   PlaySound(716,250);
   PlaySound(716,120);
   PlaySound(804,370);
   PlaySound(804,250);
   PlaySound(902,250);
   PlaySound(902,250);
   PlaySound(902,120);
   PlaySound(804,120);
   PlaySound(716,120);
   PlaySound(902,750);
   Delay(500);
   PlaySound(602,250);
   PlaySound(676,250);
   PlaySound(716,250);
   PlaySound(804,250);
   PlaySound(716,250);
   PlaySound(676,250);
   PlaySound(602,250);
   PlaySound(602,250);
   PlaySound(568,250);
   PlaySound(602,250);
   PlaySound(676,250);
   PlaySound(602,120);
   PlaySound(676,60);
   PlaySound(602,60);
   PlaySound(568,500);
   Delay(500);
   PlaySound(602,250);
   PlaySound(676,250);
   PlaySound(716,250);
   PlaySound(804,250);
   PlaySound(716,250);
   PlaySound(676,250);
   PlaySound(602,250);
   PlaySound(602,250);
   PlaySound(568,250);
   PlaySound(602,250);
   PlaySound(676,250);
   PlaySound(602,120);
   PlaySound(676,60);
   PlaySound(602,60);
   PlaySound(568,500);
   Delay(500);
   PlaySound(1204,120);
   PlaySound(1204,120);
   PlaySound(1071,250);
   PlaySound(1071,250);
   PlaySound(716,250);
   PlaySound(716,120);
   PlaySound(804,370);
   PlaySound(804,250);
   PlaySound(902,250);
   PlaySound(902,250);
   PlaySound(902,120);
   PlaySound(804,120);
   PlaySound(716,120);
   PlaySound(902,750);
   Delay(500);
   PlaySound(1204,120);
   PlaySound(1204,120);
   PlaySound(1071,250);
   PlaySound(1071,250);
   PlaySound(716,250);
   PlaySound(716,120);
   PlaySound(804,370);
   PlaySound(804,250);
   PlaySound(902,250);
   PlaySound(902,250);
   PlaySound(902,120);
   PlaySound(804,120);
   PlaySound(716,120);
   PlaySound(902,750);
   Delay(500);
End;

{PopCorn }
Procedure TPlaySpeaker.PlaySong31;
Begin
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(676,180);
   PlaySound(534,180);
   PlaySound(676,180);
   PlaySound(451,180);
   Delay(180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(676,180);
   PlaySound(534,180);
   PlaySound(676,180);
   PlaySound(451,180);
   Delay(180);
   PlaySound(902,180);
   PlaySound(1012,180);
   PlaySound(1071,180);
   PlaySound(1012,180);
   PlaySound(1071,180);
   PlaySound(902,180);
   PlaySound(1012,180);
   PlaySound(902,180);
   PlaySound(1012,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(716,180);
   PlaySound(902,180);
   Delay(180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(676,180);
   PlaySound(534,180);
   PlaySound(676,180);
   PlaySound(451,180);
   Delay(180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(676,180);
   PlaySound(534,180);
   PlaySound(676,180);
   PlaySound(451,180);
   Delay(180);
   PlaySound(902,180);
   PlaySound(1012,180);
   PlaySound(1071,180);
   PlaySound(1012,180);
   PlaySound(1071,180);
   PlaySound(902,180);
   PlaySound(1012,180);
   PlaySound(902,180);
   PlaySound(1012,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(804,180);
   PlaySound(902,180);
   PlaySound(1012,180);
   PlaySound(1071,180);
   Delay(180);
   PlaySound(1351,180);
   PlaySound(1204,180);
   PlaySound(1351,180);
   PlaySound(1071,180);
   PlaySound(804,180);
   PlaySound(1071,180);
   PlaySound(676,180);
   Delay(180);
   PlaySound(1351,180);
   PlaySound(1204,180);
   PlaySound(1351,180);
   PlaySound(1071,180);
   PlaySound(804,180);
   PlaySound(1071,180);
   PlaySound(676,180);
   Delay(180);
   PlaySound(1351,180);
   PlaySound(1517,180);
   PlaySound(1607,180);
   PlaySound(1517,180);
   PlaySound(1607,180);
   PlaySound(1351,180);
   PlaySound(1517,180);
   PlaySound(1351,180);
   PlaySound(1517,180);
   PlaySound(1204,180);
   PlaySound(1351,180);
   PlaySound(1204,180);
   PlaySound(1351,180);
   PlaySound(1071,180);
   PlaySound(1351,180);
   Delay(180);
   PlaySound(1351,180);
   PlaySound(1204,180);
   PlaySound(1351,180);
   PlaySound(1071,180);
   PlaySound(804,180);
   PlaySound(1071,180);
   PlaySound(676,180);
   Delay(180);
   PlaySound(1351,180);
   PlaySound(1204,180);
   PlaySound(1351,180);
   PlaySound(1071,180);
   PlaySound(804,180);
   PlaySound(1071,180);
   PlaySound(676,180);
   Delay(180);
   PlaySound(1351,180);
   PlaySound(1517,180);
   PlaySound(1607,180);
   PlaySound(1517,180);
   PlaySound(1607,180);
   PlaySound(1351,180);
   PlaySound(1517,180);
   PlaySound(1351,180);
   PlaySound(1517,180);
   PlaySound(1204,180);
   PlaySound(1351,180);
   PlaySound(1204,180);
   PlaySound(1351,180);
   PlaySound(1071,180);
   PlaySound(1351,180);
   Delay(180);
End;

{ "Singing in the Rain"}
Procedure TPlaySpeaker.PlaySong32;
Begin
   PlaySound(534,450);
   PlaySound(1071,900);
   Delay(150);
   PlaySound(902,150);
   PlaySound(804,300);
   PlaySound(716,150);
   PlaySound(602,130);
   PlaySound(534,450);
   PlaySound(1071,900);
   Delay(150);
   PlaySound(902,150);
   PlaySound(804,300);
   PlaySound(716,150);
   PlaySound(602,130);
   PlaySound(534,300);
   PlaySound(602,150);
   PlaySound(716,130);
   PlaySound(804,150);
   PlaySound(902,450);
   PlaySound(1071,900);
   PlaySound(902,450);
   PlaySound(1071,300);
   PlaySound(1071,130);
   PlaySound(956,150);
   PlaySound(804,450);
   PlaySound(602,130);
   PlaySound(534,450);
   PlaySound(1071,900);
   PlaySound(902,600);
   PlaySound(804,220);
   PlaySound(602,130);
   PlaySound(534,450);
   PlaySound(1071,900);
   PlaySound(902,600);
   PlaySound(804,220);
   PlaySound(602,130);
   PlaySound(534,450);
   PlaySound(1071,130);
   PlaySound(602,300);
   PlaySound(676,900);
   PlaySound(902,450);
   PlaySound(534,300);
   PlaySound(716,900);
End;

{ Title: Theme from StarWars?}
Procedure TPlaySpeaker.PlaySong33;
Begin
   PlaySound(478,600);
   PlaySound(956,200);
   PlaySound(716,600);
   Delay(600);
   PlaySound(638,300);
   PlaySound(602,300);
   PlaySound(534,300);
   PlaySound(956,600);
   PlaySound(716,200);
   PlaySound(716,600);
   Delay(600);
   PlaySound(638,300);
   PlaySound(602,300);
   PlaySound(534,300);
   PlaySound(956,600);
   PlaySound(716,200);
   PlaySound(716,600);
   Delay(600);
   PlaySound(638,300);
   PlaySound(602,300);
   PlaySound(638,300);
   PlaySound(534,120);
   Delay(400);
   PlaySound(358,200);
   PlaySound(402,200);
   PlaySound(451,200);
   PlaySound(478,200);
   PlaySound(534,200);
   PlaySound(602,200);
   PlaySound(638,200);
   PlaySound(716,200);
   PlaySound(478,600);
   PlaySound(956,200);
   PlaySound(716,600);
   Delay(600);
   PlaySound(638,300);
   PlaySound(602,300);
   PlaySound(534,300);
   PlaySound(956,600);
   PlaySound(716,200);
   PlaySound(716,600);
   Delay(600);
   PlaySound(638,300);
   PlaySound(602,300);
   PlaySound(534,300);
   PlaySound(956,600);
   PlaySound(716,200);
   PlaySound(716,600);
   Delay(600);
   PlaySound(638,300);
   PlaySound(602,300);
   PlaySound(638,300);
   PlaySound(534,120);
   PlaySound(716,400);
   PlaySound(804,600);
   PlaySound(804,200);
   PlaySound(1275,200);
   PlaySound(1204,200);
   PlaySound(1071,200);
   PlaySound(956,200);
   PlaySound(956,200);
   PlaySound(1071,100);
   PlaySound(1204,100);
   PlaySound(1071,200);
   PlaySound(804,200);
   PlaySound(902,400);
   PlaySound(716,400);
   PlaySound(804,600);
   PlaySound(804,200);
   PlaySound(1275,200);
   PlaySound(1204,200);
   PlaySound(1071,200);
   PlaySound(956,200);
   PlaySound(1432,400);
   PlaySound(1071,400);
   Delay(400);
   PlaySound(716,400);
   PlaySound(804,600);
   PlaySound(804,200);
   PlaySound(1275,200);
   PlaySound(1204,200);
   PlaySound(1071,200);
   PlaySound(956,200);
   PlaySound(956,200);
   PlaySound(1071,100);
   PlaySound(1204,100);
   PlaySound(1071,200);
   PlaySound(804,200);
   PlaySound(902,400);
   PlaySound(716,400);
   PlaySound(716,100);
   PlaySound(956,200);
   PlaySound(851,200);
   PlaySound(758,200);
   Delay(100);
   PlaySound(716,100);
   PlaySound(638,200);
   PlaySound(568,200);
   PlaySound(534,200);
   Delay(100);
   PlaySound(478,100);
   PlaySound(716,100);
   PlaySound(716,100);
   PlaySound(716,100);
   PlaySound(716,100);
   Delay(200);
   PlaySound(716,100);
   PlaySound(716,100);
   PlaySound(716,100);
   PlaySound(716,100);
   Delay(200);
   PlaySound(716,100);
   PlaySound(716,100);
   PlaySound(716,100);
   PlaySound(716,120);
End;

{ Title: Suicide is Painless -=- M*A*S*H}
Procedure TPlaySpeaker.PlaySong34;
Begin
   PlaySound(379,200);
   PlaySound(253,200);
   PlaySound(379,200);
   PlaySound(602,200);
   PlaySound(568,600);
   Delay(200);
   PlaySound(379,200);
   PlaySound(253,200);
   PlaySound(379,200);
   PlaySound(602,200);
   PlaySound(568,400);
   PlaySound(602,200);
   PlaySound(902,400);
   PlaySound(804,400);
   PlaySound(758,200);
   PlaySound(804,400);
   PlaySound(758,400);
   PlaySound(804,400);
   PlaySound(758,400);
   PlaySound(676,600);
   Delay(300);
   PlaySound(758,200);
   PlaySound(676,200);
   PlaySound(758,600);
   Delay(100);
   PlaySound(676,200);
   PlaySound(758,200);
   PlaySound(676,400);
   PlaySound(602,600);
   Delay(400);
   PlaySound(758,200);
   PlaySound(676,400);
   PlaySound(602,200);
   PlaySound(676,400);
   PlaySound(602,400);
   PlaySound(676,400);
   PlaySound(602,400);
   PlaySound(568,600);
   Delay(400);
   PlaySound(676,200);
   PlaySound(602,400);
   PlaySound(568,200);
   PlaySound(602,400);
   PlaySound(568,400);
   PlaySound(602,400);
   PlaySound(676,400);
   PlaySound(758,600);
   PlaySound(1136,600);
   PlaySound(1517,600);
   PlaySound(1136,600);
   PlaySound(758,400);
   PlaySound(902,400);
   PlaySound(1012,400);
   PlaySound(902,200);
   PlaySound(1012,400);
   PlaySound(902,400);
   PlaySound(1012,400);
   PlaySound(902,600);
   Delay(400);
   PlaySound(902,200);
   PlaySound(1012,400);
   PlaySound(902,200);
   PlaySound(1012,400);
   PlaySound(902,400);
   PlaySound(1012,400);
   PlaySound(902,600);
   Delay(400);
   PlaySound(902,200);
   PlaySound(758,400);
   PlaySound(902,200);
   PlaySound(1012,400);
   PlaySound(1204,400);
   PlaySound(1351,400);
   PlaySound(1204,600);
   PlaySound(1012,200);
   PlaySound(902,400);
   PlaySound(1012,200);
   PlaySound(253,200);
   PlaySound(379,200);
   PlaySound(602,200);
   PlaySound(568,600);
   Delay(200);
   PlaySound(379,200);
   PlaySound(253,200);
   PlaySound(379,200);
   PlaySound(602,200);
   PlaySound(568,400);
   PlaySound(602,200);
   PlaySound(506,600);
End;

{ Part of the solo in "Sultans of Swing" - Dire Straits}
Procedure TPlaySpeaker.PlaySong35;
Begin
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   Delay(80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   Delay(80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   Delay(80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(1071,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(1071,80);
   Delay(80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   Delay(80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   Delay(80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   Delay(80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(1071,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(1071,80);
   Delay(80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   Delay(80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   Delay(80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(534,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   PlaySound(716,80);
   PlaySound(568,80);
   PlaySound(716,80);
   PlaySound(851,80);
   Delay(80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(1071,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(956,80);
   PlaySound(804,80);
   PlaySound(638,80);
   PlaySound(804,80);
   PlaySound(1071,80);
   Delay(80);
End;

{ "THE YELLOW ROSE OF TEXAS" -=- AllTime Classic}
Procedure TPlaySpeaker.PlaySong36;
Begin
   PlaySound(402,120);
   PlaySound(358,120);
   PlaySound(338,250);
   PlaySound(402,250);
   PlaySound(402,250);
   PlaySound(402,250);
   PlaySound(451,250);
   PlaySound(402,500);
   PlaySound(358,250);
   PlaySound(338,370);
   PlaySound(402,120);
   PlaySound(534,370);
   PlaySound(602,120);
   PlaySound(676,750);
   PlaySound(676,250);
   PlaySound(676,250);
   PlaySound(402,250);
   PlaySound(402,250);
   PlaySound(676,250);
   PlaySound(676,250);
   PlaySound(602,500);
   PlaySound(534,250);
   PlaySound(506,370);
   PlaySound(534,120);
   PlaySound(602,370);
   PlaySound(676,120);
   PlaySound(602,750);
   PlaySound(402,120);
   PlaySound(358,120);
   PlaySound(338,250);
   PlaySound(402,250);
   PlaySound(402,250);
   PlaySound(402,250);
   PlaySound(451,250);
   PlaySound(402,500);
   PlaySound(358,250);
   PlaySound(338,370);
   PlaySound(402,120);
   PlaySound(534,370);
   PlaySound(602,120);
   PlaySound(676,750);
   PlaySound(676,250);
   PlaySound(676,250);
   PlaySound(402,250);
   PlaySound(402,250);
   PlaySound(676,250);
   PlaySound(676,250);
   PlaySound(602,500);
   PlaySound(534,250);
   PlaySound(506,370);
   PlaySound(402,120);
   PlaySound(676,370);
   PlaySound(602,120);
   PlaySound(534,750);
   PlaySound(402,120);
   PlaySound(358,120);
   PlaySound(338,250);
   PlaySound(402,250);
   PlaySound(402,250);
   PlaySound(402,250);
   PlaySound(451,250);
   PlaySound(402,500);
   PlaySound(358,250);
   PlaySound(338,370);
   PlaySound(402,120);
   PlaySound(534,370);
   PlaySound(602,120);
   PlaySound(676,750);
   PlaySound(676,250);
   PlaySound(676,250);
   PlaySound(402,250);
   PlaySound(402,250);
   PlaySound(676,250);
   PlaySound(676,250);
   PlaySound(602,500);
   PlaySound(534,250);
   PlaySound(506,370);
   PlaySound(534,120);
   PlaySound(602,370);
   PlaySound(676,120);
   PlaySound(602,750);
   PlaySound(402,120);
   PlaySound(358,120);
   PlaySound(338,250);
   PlaySound(402,250);
   PlaySound(402,250);
   PlaySound(402,250);
   PlaySound(451,250);
   PlaySound(402,500);
   PlaySound(358,250);
   PlaySound(338,370);
   PlaySound(402,120);
   PlaySound(534,370);
   PlaySound(602,120);
   PlaySound(676,750);
   PlaySound(676,250);
   PlaySound(676,250);
   PlaySound(402,250);
   PlaySound(402,250);
   PlaySound(676,250);
   PlaySound(676,250);
   PlaySound(602,500);
   PlaySound(534,250);
   PlaySound(506,370);
   PlaySound(402,120);
   PlaySound(676,370);
   PlaySound(602,120);
   PlaySound(534,750);
End;

{ "Thank You Very Much" -=- Scaffold (1967)}
Procedure TPlaySpeaker.PlaySong37;
Begin
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,220);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(676,220);
   PlaySound(804,220);
   PlaySound(676,220);
   PlaySound(602,220);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(602,220);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,220);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,220);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(676,220);
   PlaySound(804,220);
   PlaySound(676,220);
   PlaySound(602,220);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(402,330);
   Delay(490);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,220);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(676,220);
   PlaySound(804,220);
   PlaySound(676,220);
   PlaySound(602,220);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(602,220);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,220);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,220);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(676,220);
   PlaySound(804,220);
   PlaySound(676,220);
   PlaySound(602,220);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(402,330);
   Delay(490);
   PlaySound(902,110);
   PlaySound(902,110);
   PlaySound(902,110);
   PlaySound(902,110);
   PlaySound(902,220);
   PlaySound(676,110);
   PlaySound(676,110);
   PlaySound(758,220);
   PlaySound(902,220);
   PlaySound(758,220);
   PlaySound(676,220);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(676,220);
   PlaySound(676,110);
   PlaySound(676,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(676,110);
   PlaySound(676,110);
   PlaySound(676,220);
   PlaySound(902,110);
   PlaySound(902,110);
   PlaySound(902,110);
   PlaySound(902,110);
   PlaySound(902,220);
   PlaySound(676,110);
   PlaySound(676,110);
   PlaySound(758,220);
   PlaySound(902,220);
   PlaySound(758,220);
   PlaySound(676,220);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(676,110);
   PlaySound(676,110);
   PlaySound(676,110);
   PlaySound(676,110);
   PlaySound(451,330);
   Delay(490);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,220);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(676,220);
   PlaySound(804,220);
   PlaySound(676,220);
   PlaySound(602,220);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(602,220);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,220);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,110);
   PlaySound(804,220);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(676,220);
   PlaySound(804,220);
   PlaySound(676,220);
   PlaySound(602,220);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(534,110);
   PlaySound(602,110);
   PlaySound(602,110);
   PlaySound(676,110);
   PlaySound(758,110);
   PlaySound(804,440);
End;

{ Title: Toccata In Fuga (D-minor) (For the lovers of misused classical music)}
Procedure TPlaySpeaker.PlaySong38;
Begin
   PlaySound(1804,100);
   PlaySound(1607,100);
   PlaySound(1804,800);
   Delay(100);
   PlaySound(1607,200);
   PlaySound(1432,200);
   PlaySound(1351,200);
   PlaySound(1204,200);
   PlaySound(1136,400);
   PlaySound(1204,100);
   PlaySound(1204,800);
   Delay(100);
   PlaySound(902,100);
   PlaySound(804,100);
   PlaySound(902,800);
   Delay(100);
   PlaySound(676,400);
   PlaySound(716,400);
   PlaySound(568,400);
   PlaySound(602,800);
   Delay(100);
   PlaySound(451,100);
   PlaySound(402,100);
   PlaySound(451,800);
   Delay(100);
   PlaySound(402,200);
   PlaySound(358,200);
   PlaySound(338,200);
   PlaySound(301,200);
   PlaySound(284,400);
   PlaySound(301,100);
   PlaySound(301,800);
   Delay(400);
   PlaySound(568,100);
   PlaySound(602,100);
   PlaySound(676,100);
   PlaySound(568,100);
   PlaySound(602,100);
   PlaySound(676,100);
   PlaySound(568,100);
   PlaySound(602,100);
   PlaySound(676,100);
   PlaySound(568,100);
   PlaySound(602,100);
   PlaySound(676,200);
   Delay(100);
   PlaySound(676,100);
   PlaySound(716,100);
   PlaySound(804,100);
   PlaySound(676,100);
   PlaySound(716,100);
   PlaySound(804,100);
   PlaySound(676,100);
   PlaySound(716,100);
   PlaySound(804,100);
   PlaySound(676,100);
   PlaySound(716,100);
   PlaySound(804,200);
   Delay(100);
   PlaySound(804,100);
   PlaySound(902,100);
   PlaySound(956,100);
   PlaySound(804,100);
   PlaySound(902,100);
   PlaySound(956,100);
   PlaySound(804,100);
   PlaySound(902,100);
   PlaySound(956,100);
   PlaySound(804,100);
   PlaySound(902,400);
   Delay(200);
   PlaySound(1136,100);
   PlaySound(1204,100);
   PlaySound(1351,100);
   PlaySound(1136,100);
   PlaySound(1204,100);
   PlaySound(1351,100);
   PlaySound(1136,100);
   PlaySound(1204,100);
   PlaySound(1351,100);
   PlaySound(1136,100);
   PlaySound(1204,100);
   PlaySound(1351,200);
   Delay(100);
   PlaySound(1351,100);
   PlaySound(1432,100);
   PlaySound(1607,100);
   PlaySound(1351,100);
   PlaySound(1432,100);
   PlaySound(1607,100);
   PlaySound(1351,100);
   PlaySound(1432,100);
   PlaySound(1607,100);
   PlaySound(1351,100);
   PlaySound(1432,100);
   PlaySound(1607,200);
   Delay(100);
   PlaySound(1607,100);
   PlaySound(1804,100);
   PlaySound(1991,100);
   PlaySound(1607,100);
   PlaySound(1804,100);
   PlaySound(1991,100);
   PlaySound(1607,100);
   PlaySound(1804,100);
   PlaySound(1991,100);
   PlaySound(1607,100);
   PlaySound(1804,400);
   Delay(200);
   PlaySound(1804,400);
   PlaySound(1607,200);
   PlaySound(1991,200);
   PlaySound(1351,200);
   PlaySound(1607,200);
   PlaySound(1432,200);
   PlaySound(1804,200);
   PlaySound(1204,200);
   PlaySound(1432,200);
   PlaySound(1351,200);
   PlaySound(1607,200);
   PlaySound(1136,200);
   PlaySound(1351,200);
   PlaySound(1204,200);
   PlaySound(902,200);
   PlaySound(956,200);
   PlaySound(804,200);
   PlaySound(902,200);
   PlaySound(716,200);
   PlaySound(804,200);
   PlaySound(676,200);
   PlaySound(716,200);
   PlaySound(602,200);
   PlaySound(804,200);
   PlaySound(676,200);
   PlaySound(716,200);
   PlaySound(602,200);
   PlaySound(676,200);
   PlaySound(568,200);
   PlaySound(602,800);
End;

{ "TOP OF THE WORLD" -=- THE CARPENTERS}
Procedure TPlaySpeaker.PlaySong39;
Begin
   PlaySound(268,250);
   PlaySound(358,250);
   PlaySound(402,250);
   PlaySound(179,250);
   PlaySound(451,250);
   PlaySound(451,250);
   PlaySound(451,120);
   PlaySound(478,370);
   PlaySound(451,250);
   PlaySound(402,250);
   PlaySound(358,250);
   PlaySound(239,250);
   PlaySound(602,250);
   PlaySound(602,250);
   PlaySound(602,120);
   PlaySound(638,370);
   PlaySound(602,250);
   PlaySound(534,250);
   PlaySound(478,250);
   PlaySound(451,250);
   PlaySound(534,250);
   PlaySound(534,250);
   PlaySound(451,250);
   PlaySound(402,250);
   PlaySound(451,250);
   PlaySound(478,250);
   PlaySound(602,250);
   PlaySound(534,150);
   PlaySound(478,250);
   PlaySound(534,250);
   PlaySound(602,500);
   PlaySound(534,250);
   PlaySound(602,250);
   PlaySound(676,500);
   PlaySound(602,250);
   PlaySound(676,250);
   PlaySound(716,250);
   PlaySound(716,250);
   PlaySound(716,120);
   PlaySound(534,370);
   PlaySound(602,500);
   PlaySound(534,250);
   PlaySound(478,250);
   PlaySound(451,250);
   PlaySound(534,250);
   PlaySound(478,250);
   PlaySound(451,250);
   PlaySound(402,500);
   PlaySound(358,250);
   PlaySound(338,250);
   PlaySound(358,120);
   PlaySound(268,250);
   PlaySound(358,250);
   PlaySound(402,250);
   PlaySound(179,250);
   PlaySound(451,250);
   PlaySound(451,250);
   PlaySound(451,120);
   PlaySound(478,370);
   PlaySound(451,250);
   PlaySound(402,250);
   PlaySound(358,250);
   PlaySound(239,250);
   PlaySound(602,250);
   PlaySound(602,250);
   PlaySound(602,120);
   PlaySound(638,370);
   PlaySound(602,250);
   PlaySound(534,250);
   PlaySound(478,250);
   PlaySound(451,250);
   PlaySound(534,250);
   PlaySound(534,250);
   PlaySound(451,250);
   PlaySound(402,250);
   PlaySound(451,250);
   PlaySound(478,250);
   PlaySound(602,250);
   PlaySound(534,150);
   PlaySound(478,250);
   PlaySound(534,250);
   PlaySound(602,500);
   PlaySound(534,250);
   PlaySound(602,250);
   PlaySound(676,500);
   PlaySound(602,250);
   PlaySound(676,250);
   PlaySound(716,250);
   PlaySound(716,250);
   PlaySound(716,120);
   PlaySound(534,370);
   PlaySound(602,500);
   PlaySound(534,250);
   PlaySound(478,250);
   PlaySound(451,250);
   PlaySound(534,250);
   PlaySound(478,250);
   PlaySound(451,250);
   PlaySound(402,500);
   PlaySound(358,250);
   PlaySound(338,250);
   PlaySound(358,100);
End;

{ "MAIN THEME FROM TUBULAR BELLS" -=- MIKE OLDFIELD}
Procedure TPlaySpeaker.PlaySong40;
Begin
   PlaySound(602,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(716,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(1071,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(716,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(1071,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(716,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(1071,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(716,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(1071,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(716,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(1071,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(716,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(1071,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(716,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(1071,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(716,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(1071,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(716,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(1071,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(716,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(1071,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(716,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(1071,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(716,150);
   PlaySound(804,150);
   PlaySound(602,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(1071,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(956,150);
   PlaySound(602,150);
   PlaySound(902,150);
   PlaySound(602,150);
   PlaySound(804,600);
End;

{ "NATIONAL HYMN OF THE USA" }
Procedure TPlaySpeaker.PlaySong41;
Begin
   PlaySound(402,350);
   PlaySound(338,170);
   PlaySound(268,520);
   PlaySound(338,520);
   PlaySound(402,520);
   PlaySound(534,100);
   PlaySound(676,350);
   PlaySound(602,170);
   PlaySound(534,520);
   PlaySound(338,520);
   PlaySound(379,520);
   PlaySound(402,100);
   PlaySound(402,170);
   PlaySound(402,350);
   PlaySound(402,170);
   PlaySound(676,700);
   PlaySound(602,170);
   PlaySound(534,520);
   PlaySound(506,100);
   PlaySound(451,350);
   PlaySound(506,170);
   PlaySound(534,520);
   PlaySound(534,520);
   PlaySound(402,520);
   PlaySound(338,520);
   PlaySound(268,520);
   PlaySound(676,350);
   PlaySound(676,170);
   PlaySound(676,520);
   PlaySound(716,520);
   PlaySound(804,520);
   PlaySound(804,100);
   PlaySound(716,350);
   PlaySound(676,170);
   PlaySound(602,520);
   PlaySound(676,520);
   PlaySound(716,520);
   PlaySound(716,100);
   PlaySound(716,350);
   PlaySound(716,170);
   PlaySound(676,100);
   PlaySound(602,170);
   PlaySound(534,520);
   PlaySound(506,100);
   PlaySound(451,350);
   PlaySound(506,170);
   PlaySound(534,520);
   PlaySound(534,520);
   PlaySound(402,520);
   PlaySound(338,520);
   PlaySound(268,520);
End;

Procedure TPlaySpeaker.ExecuteSong(Number:Integer);
Begin
   InitializeSong;
   Case Number of
   1 : PlaySong1;
   2 : PlaySong2;
   3 : PlaySong3;
   4 : PlaySong4;
   5 : PlaySong5;
   6 : PlaySong6;
   7 : PlaySong7;
   8 : PlaySong8;
   9 : PlaySong9;
   10: PlaySong10;
   11: PlaySong11;
   12: PlaySong12;
   13: PlaySong13;
   14: PlaySong14;
   15: PlaySong15;
   16: PlaySong16;
   17: PlaySong17;
   18: PlaySong18;
   19: PlaySong19;
   20: PlaySong20;
   21: PlaySong21;
   22: PlaySong22;
   23: PlaySong23;
   24: PlaySong24;
   25: PlaySong25;
   26: PlaySong26;
   27: PlaySong27;
   28: PlaySong28;
   29: PlaySong29;
   30: PlaySong30;
   31: PlaySong31;
   32: PlaySong32;
   33: PlaySong33;
   34: PlaySong34;
   35: PlaySong35;
   36: PlaySong36;
   37: PlaySong37;
   38: PlaySong38;
   39: PlaySong39;
   40: PlaySong40;
   41: PlaySong41;
   42: PlaySong42;
   43: PlaySong43;
   44: PlaySong44;
   45: PlaySong45;
   46: PlaySong46;
   47: PlaySong47;
   48: PlaySong48;
   49: PlaySong49;
   50: PlaySong50;
   51: PlaySong51;
   52: PlaySong52;
   53: PlaySong53;
   54: PlaySong54;
   55: PlaySong55;
   56: PlaySong56;
   57: PlaySong57;
   58: PlaySong58;
   59: PlaySong59;
   60: PlaySong60;
   61: PlaySong61;
   End;
End;

{Buzzer}
Procedure TPlaySpeaker.PlaySong43;
Begin
   fBaseOctave := 1;
   Play('T240L16O4ABABABABABABABP2');
End;

{James Bond Theme}
Procedure TPlaySpeaker.PlaySong44;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'MLL8T125O1B4EBO2C4O1EO2CC#4O1EO2C#C4O1EO2CO1B4EBO2C4O1EO2CC#4O1EO2C#C4O1EO2C';
   s := s +'T150MNO3EF#16F#16F#F#3O2EEEMNO3EG16G16GG3O2F#F#F#MNO3EF#16F#16F#F#3O2EEE';
   s := s +'MNO3EG16G16GG3O2F#F#F#MNO3EF#16F#16F#F#3O2EEEMNO3EG16G16GG3O2F#F#E';
   s := s +'MLO4D#O3B64O4DD2O2G64BF#64AMLG24B1P2';
   Play(s);
End;

{Jeopardy Theme}
Procedure TPlaySpeaker.PlaySong45;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'MNT150O3L4DGD<G>DGDP4DGDGMSBP8MNL8AGF#EE-L4DGD<G>DGDP4';
   s := s +'MSGP8L8EL4DCMN<BAL4GP4O3L4EAE<A>EAEP4EAEAMS>C#P8MNL8<BAG#F#FL4';
   s := s +'EAE<A>EAEP4MSAP8L8F#L4EDMNL2MSC#<BL4MNAO1L4AAP2';
   Play(s);
End;

{Leave it to Beaver}
Procedure TPlaySpeaker.PlaySong46;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'MST190O2L8CL4FL8A>C<AFL4GL8B-L4>DL8C<B>CFL4DL8<B-L4G..P16';
   s := s +'L8CL4FL8A>C<AFL4GL8B-L4>DL8C<B>CFD<GEL4F..P8O3L4AL8AL4G.L8FGFL4E-L8EDE-EFGG+L4A..P8';
   s := s +'O1L4GL8GL4F.L8EFEL4D-L8DDEFG>G<G>C<B-AG.P16O2L8CL4FL8A>C<AFL4GL8B-L4>D';
   s := s +'L8C<B>CFL4DL8<B-L4G..P16O3L8CL4FL8A>C<AFL4GL8B-L4>DL8C<B>CFD<GEL4F.L8>FP2';
   Play(s);
End;

{London Bridge}
Procedure TPlaySpeaker.PlaySong47;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'T120O3MNL8C.L16DL8CO2B-AB-O3L4CO2L8GAL4B-L8AB-O3L4CL8C.L16DL8CO2B-AB-O3L4C';
   s := s +'O2GO3CO2L8AL4F.O3O4L8C.L16DL8CO3B-AB-O4L4CO3L8GAL4B-L8AB-O4L4CL8C.L16DL8C';
   s := s +'O3B-AB-O4L4CO3GO4CO3L8AL4F.P2';
   Play(s);
End;

{Maple Leaf Rag}
Procedure TPlaySpeaker.PlaySong48;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'T120O2MNL16GB-E-GL8B-L16DB-DFB-L4B-P16L16GB-E-GL8B-L16DB-DFMLB-L8B-MNB-BB-L8B-B-';
   s := s +'L4BL8B-B-P8L8E-G-B-G-E-G-B-O3E-E-E-L16E-L8E-L16O2B-O3CO2GB-O3L8CO2L8E-';
   s := s +'L16FG-E-FL8GL16E-GE-L8FE-L16O3E-L8E-E-E-L16E-L8E-L16O2B-O3CO2GB-O3L8C';
   s := s +'O2L16E-E-FG-E-FL8GL16E-GE-L8FE-P2';
   Play(s);
End;

{My Darling Clementine}
Procedure TPlaySpeaker.PlaySong49;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'T120MNO2L8G.L16GL4GDL8B.L16BL4BGL8GBO3L4DDL8CO2BL2AL8ABO3L4CCO2L8B.L16AL4BGL8GB';
   s := s +'L4ADL8F#.L16AL2GL8G.L16GL4GDL8B.L16BL4BGL8GBO3L4D.L8DCO2BL2AL8ABO3L4CC';
   s := s +'O2L8B.L16AL4BGL8GBL4ADL8F#.L16AL2GL8G.L16GL4GDL8B.L16BL4BGL8GBO3L4DDL8C';
   s := s +'O2BL2AL8ABO3L4CCP2';
   Play(s);
End;

{Ramblin' Wreck }
Procedure TPlaySpeaker.PlaySong50;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'MNT200O3E4D8C4C8C4D8E4E8E8D8C8D8E8D8C4O2B8O3MLC2C8MN';
   s := s +'D8E4E8E4F8G4G8G4G8G4D8D4E8MLD2D8MN';
   s := s +'G8A4F8A4F8A8O4MLC4C8MNO3B8A8G4E8G4E8G2';
   s := s +'E4D8C4C8C4D8E4E8E8D8C8D8E8D8C4O2B8O3MLC2C8MNP2';
   Play(s);
End;

{The Entertainer}
Procedure TPlaySpeaker.PlaySong51;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'T120MNO3L8DD#EO4L4CO3L8EO4L4CO3L8EO4L4C.P4P8L8CDD#ECDL4EL8O3BL4O4DCP4P4O3L8DD#EL4';
   s := s +'O4CO3L8EO4L4CO3L8EL4O4C.P4P4O3L8AGF#AO4CL4EL8DCO3AO4L4DP4P4O3L8DD#EL4O4C';
   s := s +'O3L8EO4L4CO3L8EO4L4C.P4P4L8CDD#ECDL4EL8O3BO4L4DCP4P4L8CDECDL4EL8CDCECDL4E';
   s := s +'L8CDCECDL4EO3BO4L4ECP2';
   Play(s);
End;

{Violin Sonata #6}
Procedure TPlaySpeaker.PlaySong52;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'T135MSP8O5L16ED#L8EO4BG#BL16EF#ED#L8EO3BG#BMLL16EBF#BG#BABG#BF#BEO4ED#C#O3BO4ED#C#O3BAG#F#';
   s := s +'MSL16EBF#BG#BABG#BF#BEO4ED#C#O3BO4ED#C#O3BAG#F#MLEF#G#ABO4C#D#EF#G#AF#G#BEF#G#AB';
   s := s +'O5C#D#EC#D#EO4BABG#BABG#BF#BEO5ED#C#O4BEO5C#O4EBEAEMSG#BF#BG#BABG#BF#BEO5ED#C#O4BEO5C#O4EBEAE';
   s := s +'MNG#EEED#EEEF#ED#EEEG#EF#EG#EAEF#EMSG#EEED#EEEF#ED#EEEG#EF#EG#EAEF#EP2';
   Play(s);
End;

{Well-Tempered Clavier}
Procedure TPlaySpeaker.PlaySong53;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'L16T132MSO2CEGO3CEO2GO3CEO2CEGO3CEO2GO3CEO2CDAO3DFO2AO3DFO2CDAO3DFO2AO3DF';
   s := s +'O1BO2DGO3DFO2GO3DFO1BO2DGO3DFO2GO3DFO2CEGO3CEO2GO3CEO2CEGO3CEO2GO3CE';
   s := s +'O2CEAO3EAO2AO3EAO2CEAO3EAO2AO3EAO2CDF#AO3DO2F#AO3DO2CDF#AO3DO2F#AO3D';
   s := s +'O1BO2DGO3DGO2GO3DGO1BO2DGO3DGO2GO3DGO1BO2CEGO3CO2EGO3CO1BO2CEGO3CO2EGO3CP2';
   Play(s);
End;

{Addams Family}
Procedure TPlaySpeaker.PlaySong54;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'O3T220L8CDEFP4O0L4FP8FP8O3L8DEF#GP4O1L4GP8GP8O3L8DEF#GP4DEF#GP4CDEFP4O1L4FP8FP8';
   s := s +'P4T187O3L8CF.AF.DO2B-.O3GP4FE.GE.CO2A.O3FP4CF.AF.DO2B-.O3GP4FL64EFL8E.CD.EFP4';
   s := s +'O3T220L8CDEFP4O0L4FP8FP8O3L8DEF#GP4O1L4GP8GP8O3L8DEF#GP4DEF#GP4CDEFP4O1L4FP8FP8';
   s := s +'P4T187O3L8CF.AF.DO2B-.O3GP4FE.GE.CO2A.O3FP4CF.AF.DO2B-.O3GP4FL64EFL8E.CD.EFP2';
   Play(s);
End;

{William Tell Overture}
Procedure TPlaySpeaker.PlaySong55;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'O2L16T155P8MSO1BBB8BBB8BBO2E8F#8G#8O1BBB8BBO2E8G#G#F#8D#8O1B8BBB8BBB8BBO2E8F#8G#8EG#';
   s := s +'MLB4BMSAG#F#E8G#8E8O3BBB8BBB8BBO4E8F#8G#8O3BBB8BBO4E8G#G#F#8D#8O3B8BBB8BBB8BB';
   s := s +'O4E8F#8G#8MLEG#B4BAG#F#MSE8G#8E8P2';
   Play(s);
End;

{Auld Lang Syne}
Procedure TPlaySpeaker.PlaySong56;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'T120MNO2L4CF.L8EL4FAG.L8FL4GAF.L8FL4AO3CL2D.L4DC.O2L8AL4AFG.L8FL4GL8AG';
   s := s +'L4F.L8DL4DCL2F.O3L4DC.O2L8AP64L4AFG.L8FL4GO3DC.O2L8AP64L4AO3C';
   s := s +'L2D.L4DC.O2L8AL4AFG.L8FL4GL8AGL4F.L8DL4DCL2F.P2';
   Play(s);
End;

{Beverly Hills Cop}
Procedure TPlaySpeaker.PlaySong57;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'T125MSL4O3FG#L8FL16FL8A#L8FD#L4FL4O4CL8O3FL16FL8O4C#CO3G#FO4CL8FO3L16FL8D#L16D#L8CL8GL4FP2';
   s := s +'T125MSL4O3FG#L8FL16FL8A#L8FD#L4FL4O4CL8O3FL16FL8O4C#CO3G#FO4CL8FO3L16FL8D#L16D#L8CL8GL4FP2';
   s := s +'O1L4FFL8D#L16D#L8D#L8CD#L4FFP8L16FL8FCFL4C#C#L8D#L16D#L8D#D#D#FP2L8FCO0L8A#G#L4F';
   s := s +'O1L4FL8D#L16D#L8D#L8CD#L4FFP8L16FL8FCFL4C#C#L8D#L16D#L8D#D#D#FP2';
   Play(s);
End;

{Beverly Hillbillies}
Procedure TPlaySpeaker.PlaySong58;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'T120O2MST190L8CCFCFGAAFFL4GP32GP32C.P16';
   s := s +'L8CL4EL8EFL4GL8FEFGFDL4C.P16';
   s := s +'L8CL4FFAL8GFB-AB->CL4D.P16';
   s := s +'L8DL4CL8CCL4CL8CC<CDL4EF...P2';
   Play(s);
End;

{Deck the Halls}
Procedure TPlaySpeaker.PlaySong59;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'T250O3L2D.L4CO2L2BAGABGL4ABO3L4CO2L4AL2B.P4L4AL2GF+G.P4O3D.';
   s := s +'L4CO2L2BAGABGL4ABO3L4CO2L4AL2B.P4L4AL2GF+G.P4A.L4BO3L2C';
   s := s +'O2AB.O3L4CL2DO2AL4BO3CL2DL4EF+L2GF+ED.P4D.L4CO2L2BAGABGL4ABO3CO2A';
   s := s +'L2B.P4L4AL2GF+L1GP2';
   Play(s);
End;

{Flight of the Bumblebee}
Procedure TPlaySpeaker.PlaySong60;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'T160MLL16O5ED#DC#DC#CO4BO5CO4BB-AG#GF#FED#DC#DC#CO3BO4CO3BB-AG#GF#F';
   s := s +'O3ED#DC#DC#CO2BO3ED#DC#DC#CO2BO3ED#DC#CFED#O3ED#DC#CC#DD#';
   s := s +'O3ED#DC#CFED#O3ED#DC#CC#DD#O3ED#DC#DC#CO2BO3CC#DD#EFED#P2';
   Play(s);
End;

{Folk Song}
Procedure TPlaySpeaker.PlaySong61;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'T120MLL16O1AO3AO1AO3BL24O2EAO4C+O2EAO4DO1AO4C+EO1AO4C+EL32O2EAO4C+E';
   s := s +'O2EAO4C+EL16O2DO4F+O2DO4DL24O2F+O4F+AO2F+O4DF+O1AO4C+EO2C+O4C+E';
   s := s +'L16O2EP16AP16L16O2DO4F+O2DO4DL24O2F+O4F+AO2F+O4DF+O1AO4C+EO2C+O4C+E';
   s := s +'L16O2EP16AP16L16EO4EO2EO4DL24O2G+BO4DO2G+BO4DL16O1AO4DO1AO4C+L24O2EAO4C+';
   s := s +'L24O2EAO4C+L16O2EO4C+O2EO3BL24O2G+BO3BL24O2G+BO3BL16O1AO3AO2EP2';
   Play(s);
End;

{I'm A Little Teapot}
Procedure TPlaySpeaker.PlaySong42;
Var s : String;
Begin
   fBaseOctave := 1;
   s := '';
   s := s +'T120O2MNL8CDEFL4GO3CO2AO3CO2L2GL4FFEEDDL2CO3L8CO2BAO3CO2L4BGAAL2GO3L4CO2AGFEDC';
   s := s +'O3L8CDEFL4GO4CO3AO4CO3L2GL4FFEEDDL2CO4L8CO3BAO4CO3L4BGAAL2GO4L4CO3AGFEDCP2';
   Play(s);
End;

procedure Register;
begin
  RegisterComponents('Samples', [TPlaySpeaker]);
end;

end.
